#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xc8617434, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0xe401bd25, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1f1e024, "usb_queue_reset_device" },
	{ 0x1622ee50, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4a4a0493, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xcd287acc, "usb_free_coherent" },
	{ 0x68109451, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3b77cea3, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x23c15d06, "hid_hw_request" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9135e3a4, "hid_hw_open" },
	{ 0x9e67d12d, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfbc1f592, "usb_register_dev" },
	{ 0xe73188b9, "hid_check_keys_pressed" },
	{ 0xd5985ad0, "fasync_helper" },
	{ 0x7561631c, "usb_unpoison_urb" },
	{ 0x57392a76, "usb_autopm_put_interface_async" },
	{ 0x1a8cbe57, "hid_hw_close" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xc12882d5, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc456f3d4, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x76999072, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3f1a4267, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdbb41c8a, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x71f0025, "usb_unlink_urb" },
	{ 0x778ec6d6, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x90fda855, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x402f2e82, "input_ff_create" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc34c4af2, "usb_deregister_dev" },
	{ 0xf4b4bef1, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe52f2052, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xf389ebb9, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd1baa4dc, "hid_output_report" },
	{ 0xb353011, "hid_lookup_quirk" },
	{ 0x264b1ef5, "usb_alloc_urb" },
	{ 0x2aeb53ef, "device_set_wakeup_enable" },
	{ 0x3f6089e, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5d3fd649, "usb_free_urb" },
	{ 0x2bca264e, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7ab6dac3, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd41ab3a3, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc425ab7, "kill_fasync" },
	{ 0xc95f2528, "usb_register_driver" },
	{ 0xaf4e4457, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0xb6ae323, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8cb509e, "hidinput_count_leds" },
	{ 0xf9713bce, "usb_autopm_put_interface_no_suspend" },
	{ 0x412b15f9, "hid_driver_resume" },
	{ 0x822b4396, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeac67ad6, "hid_allocate_device" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x21ac3c8a, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1251d, "usb_interrupt_msg" },
	{ 0x7412c504, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xce035d86, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7465da3f, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x620ef967, "usb_submit_urb" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "0E906201F7BD2818C98F47A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
