#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_conn_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_register, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_cec_adap_unregister, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_set_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_notifier_parse_hdmi_phandle, "_gpl", "");
KSYMTAB_FUNC(cec_pin_changed, "_gpl", "");
KSYMTAB_FUNC(cec_pin_allocate_adapter, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x531f24cf, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xdaac0f92, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x9341aad6, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x9522de1d, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x7b4e775f, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x1181d6f0, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x15be5997, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x94d3ad20, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x6a7df9f1, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0xd2aec209, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x975b1096, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x6e0edeb5, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x4005f59a, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x222d39c9, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0xdc272131, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xe0e8175b, "_gpl");
SYMBOL_CRC(cec_notifier_conn_register, 0x6ce01ad2, "_gpl");
SYMBOL_CRC(cec_notifier_conn_unregister, 0xaee236c6, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_register, 0x5c86bea0, "_gpl");
SYMBOL_CRC(cec_notifier_cec_adap_unregister, 0x5bb3c5c1, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr, 0xa01fbb6b, "_gpl");
SYMBOL_CRC(cec_notifier_set_phys_addr_from_edid, 0xf5d52ef3, "_gpl");
SYMBOL_CRC(cec_notifier_parse_hdmi_phandle, 0xc9a2697e, "_gpl");
SYMBOL_CRC(cec_pin_changed, 0x79699bb5, "_gpl");
SYMBOL_CRC(cec_pin_allocate_adapter, 0x6c67e402, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x782bd537, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffbe7976, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb914e114, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x95875d60, "rc_keyup" },
	{ 0x1467c61b, "bus_unregister" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2d417c98, "rc_register_device" },
	{ 0x8107c125, "debugfs_remove" },
	{ 0xf6c86b3c, "rc_keydown" },
	{ 0xd08411bf, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xbae6c551, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ba932da, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb1bcd904, "rc_allocate_device" },
	{ 0xbced23a1, "seq_read" },
	{ 0x1001c60a, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5fb8c06e, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x91fc21bb, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3015df59, "seq_puts" },
	{ 0xc339adb7, "single_release" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0x6f2851b9, "single_open" },
	{ 0x164071a7, "debugfs_create_dir" },
	{ 0x53e3b46a, "rc_unregister_device" },
	{ 0x745dd0b1, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xc451a768, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb6cffb70, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd84e9f5, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe522f3a6, "device_initialize" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf464d179, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x509cd1c, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6cc8f13b, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "E32CD6D68BF462F7E301077");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
