#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt7530_switch_ops, "_gpl", "");
KSYMTAB_DATA(mt753x_table, "_gpl", "");
KSYMTAB_FUNC(mt7530_probe_common, "_gpl", "");
KSYMTAB_FUNC(mt7530_remove_common, "_gpl", "");

SYMBOL_CRC(mt7530_switch_ops, 0x8ac82943, "_gpl");
SYMBOL_CRC(mt753x_table, 0x3f5812be, "_gpl");
SYMBOL_CRC(mt7530_probe_common, 0x5d0e2b9a, "_gpl");
SYMBOL_CRC(mt7530_remove_common, 0x17f00728, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xed792973, "phy_driver_is_genphy" },
	{ 0x53c2965b, "regmap_update_bits_base" },
	{ 0xee06166d, "phy_init_eee" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xbbb87e22, "gpiod_set_value_cansleep" },
	{ 0x3072017b, "regulator_set_voltage" },
	{ 0x2571b3df, "regulator_enable" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0x94446588, "devm_mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa40be07, "irq_create_mapping_affinity" },
	{ 0x21b023a6, "__devm_mdiobus_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x49fad242, "__irq_resolve_mapping" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf34e9aa0, "mdiobus_c45_write_nested" },
	{ 0xc8d4825, "mdiobus_c45_read_nested" },
	{ 0x48d28c33, "mdiobus_write_nested" },
	{ 0x9ce5463, "mdiobus_read_nested" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x81cbe538, "dsa_unregister_switch" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xadf446a2, "irq_domain_remove" },
	{ 0xd5da5759, "regmap_write" },
	{ 0x94005f0e, "regmap_read" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres,dsa_core");


MODULE_INFO(srcversion, "0FFC487E9786793B1A61D90");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
