#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phylink_set_port_modes, "_gpl", "");
KSYMTAB_FUNC(phylink_limit_mac_speed, "_gpl", "");
KSYMTAB_FUNC(phylink_create, "_gpl", "");
KSYMTAB_FUNC(phylink_destroy, "_gpl", "");
KSYMTAB_FUNC(phylink_expects_phy, "_gpl", "");
KSYMTAB_FUNC(phylink_connect_phy, "_gpl", "");
KSYMTAB_FUNC(phylink_of_phy_connect, "_gpl", "");
KSYMTAB_FUNC(phylink_fwnode_phy_connect, "_gpl", "");
KSYMTAB_FUNC(phylink_disconnect_phy, "_gpl", "");
KSYMTAB_FUNC(phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(phylink_pcs_change, "_gpl", "");
KSYMTAB_FUNC(phylink_start, "_gpl", "");
KSYMTAB_FUNC(phylink_stop, "_gpl", "");
KSYMTAB_FUNC(phylink_suspend, "_gpl", "");
KSYMTAB_FUNC(phylink_resume, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_get_wol, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_set_wol, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_ksettings_get, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_ksettings_set, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_nway_reset, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_get_pauseparam, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_set_pauseparam, "_gpl", "");
KSYMTAB_FUNC(phylink_get_eee_err, "_gpl", "");
KSYMTAB_FUNC(phylink_init_eee, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_get_eee, "_gpl", "");
KSYMTAB_FUNC(phylink_ethtool_set_eee, "_gpl", "");
KSYMTAB_FUNC(phylink_mii_ioctl, "_gpl", "");
KSYMTAB_FUNC(phylink_speed_down, "_gpl", "");
KSYMTAB_FUNC(phylink_speed_up, "_gpl", "");
KSYMTAB_FUNC(phylink_resolve_c73, "_gpl", "");
KSYMTAB_FUNC(phylink_decode_usxgmii_word, "_gpl", "");
KSYMTAB_FUNC(phylink_mii_c22_pcs_decode_state, "_gpl", "");
KSYMTAB_FUNC(phylink_mii_c22_pcs_get_state, "_gpl", "");
KSYMTAB_FUNC(phylink_mii_c22_pcs_encode_advertisement, "_gpl", "");
KSYMTAB_FUNC(phylink_mii_c22_pcs_config, "_gpl", "");
KSYMTAB_FUNC(phylink_mii_c22_pcs_an_restart, "_gpl", "");
KSYMTAB_FUNC(phylink_mii_c45_pcs_get_state, "_gpl", "");

SYMBOL_CRC(phylink_set_port_modes, 0xc1d15a4c, "_gpl");
SYMBOL_CRC(phylink_limit_mac_speed, 0x05675c9c, "_gpl");
SYMBOL_CRC(phylink_create, 0x571e2006, "_gpl");
SYMBOL_CRC(phylink_destroy, 0xf3083a1d, "_gpl");
SYMBOL_CRC(phylink_expects_phy, 0x4278d56a, "_gpl");
SYMBOL_CRC(phylink_connect_phy, 0x939cb7f8, "_gpl");
SYMBOL_CRC(phylink_of_phy_connect, 0xe38c4774, "_gpl");
SYMBOL_CRC(phylink_fwnode_phy_connect, 0x82de736a, "_gpl");
SYMBOL_CRC(phylink_disconnect_phy, 0x983276da, "_gpl");
SYMBOL_CRC(phylink_mac_change, 0x12135396, "_gpl");
SYMBOL_CRC(phylink_pcs_change, 0x982fa253, "_gpl");
SYMBOL_CRC(phylink_start, 0x911fcd6c, "_gpl");
SYMBOL_CRC(phylink_stop, 0xdcb0a2c0, "_gpl");
SYMBOL_CRC(phylink_suspend, 0x16ca1a8a, "_gpl");
SYMBOL_CRC(phylink_resume, 0xc0a8f4be, "_gpl");
SYMBOL_CRC(phylink_ethtool_get_wol, 0x08213956, "_gpl");
SYMBOL_CRC(phylink_ethtool_set_wol, 0x62104126, "_gpl");
SYMBOL_CRC(phylink_ethtool_ksettings_get, 0x9616a255, "_gpl");
SYMBOL_CRC(phylink_ethtool_ksettings_set, 0xa16449b4, "_gpl");
SYMBOL_CRC(phylink_ethtool_nway_reset, 0x6fa426d2, "_gpl");
SYMBOL_CRC(phylink_ethtool_get_pauseparam, 0xf8fe5642, "_gpl");
SYMBOL_CRC(phylink_ethtool_set_pauseparam, 0x15c4e3e2, "_gpl");
SYMBOL_CRC(phylink_get_eee_err, 0x825c7340, "_gpl");
SYMBOL_CRC(phylink_init_eee, 0xec02ebe0, "_gpl");
SYMBOL_CRC(phylink_ethtool_get_eee, 0x14f7bc5d, "_gpl");
SYMBOL_CRC(phylink_ethtool_set_eee, 0xd18ad2fd, "_gpl");
SYMBOL_CRC(phylink_mii_ioctl, 0xd2ef6a40, "_gpl");
SYMBOL_CRC(phylink_speed_down, 0x59e0695d, "_gpl");
SYMBOL_CRC(phylink_speed_up, 0x5d0c4dcc, "_gpl");
SYMBOL_CRC(phylink_resolve_c73, 0x229419b3, "_gpl");
SYMBOL_CRC(phylink_decode_usxgmii_word, 0x49997567, "_gpl");
SYMBOL_CRC(phylink_mii_c22_pcs_decode_state, 0x287c9595, "_gpl");
SYMBOL_CRC(phylink_mii_c22_pcs_get_state, 0xb229cbb7, "_gpl");
SYMBOL_CRC(phylink_mii_c22_pcs_encode_advertisement, 0xed971769, "_gpl");
SYMBOL_CRC(phylink_mii_c22_pcs_config, 0xe73a477a, "_gpl");
SYMBOL_CRC(phylink_mii_c22_pcs_an_restart, 0xc9f99c58, "_gpl");
SYMBOL_CRC(phylink_mii_c45_pcs_get_state, 0xc50709ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10811402, "netif_carrier_off" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe71a7091, "netdev_printk" },
	{ 0xf39821e1, "_dev_printk" },
	{ 0x6f93a6de, "phy_attach_direct" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x47969755, "phy_stop" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0xbba27f48, "gpiod_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdb416dc1, "phy_disconnect" },
	{ 0x15b26883, "phy_ethtool_get_wol" },
	{ 0x1a6dabee, "phy_ethtool_set_wol" },
	{ 0xc7d8dff, "phy_get_eee_err" },
	{ 0xee06166d, "phy_init_eee" },
	{ 0x3f317df2, "phy_ethtool_get_eee" },
	{ 0xe67b5418, "phy_ethtool_set_eee" },
	{ 0x21b5ae77, "mdiobus_read" },
	{ 0x4ced26bc, "mdiobus_write" },
	{ 0x18e4f8aa, "swphy_read_reg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd59a1587, "linkmode_resolve_pause" },
	{ 0x2246a8b1, "gpiod_get_value_cansleep" },
	{ 0xf377d289, "mdiobus_c45_read" },
	{ 0x2fdbe46d, "phy_speed_up" },
	{ 0x685d9c02, "phy_speed_down" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaae40049, "__dynamic_netdev_dbg" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8b20cc83, "phy_restart_aneg" },
	{ 0x4c485b06, "phy_get_pause" },
	{ 0x59edfeb8, "phy_rate_matching_to_str" },
	{ 0x538d073d, "phy_duplex_to_str" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x5633dc00, "mdiobus_modify" },
	{ 0xd57deabf, "mdiobus_modify_changed" },
	{ 0xf4689d50, "linkmode_set_pause" },
	{ 0x2308db8b, "phy_set_asym_pause" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xc5d26c4a, "phy_get_rate_matching" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xad7fd4ed, "phy_support_asym_pause" },
	{ 0xd69d68be, "phy_attached_info_irq" },
	{ 0xc9decfe2, "phy_request_interrupt" },
	{ 0xccef13cb, "phy_detach" },
	{ 0x3f1e920, "fwnode_get_phy_node" },
	{ 0x6d0852c7, "fwnode_phy_find_device" },
	{ 0x3095d84b, "fwnode_handle_put" },
	{ 0x2fafc545, "phy_device_free" },
	{ 0x7b340671, "phy_ethtool_ksettings_get" },
	{ 0xb38e538e, "phy_mii_ioctl" },
	{ 0x32846529, "mdiobus_c45_write" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf1124ecd, "sfp_upstream_set_signal_rate" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xdc8ba720, "phy_start" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0xa4031b7f, "sfp_parse_port" },
	{ 0x76356e7, "sfp_may_have_phy" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x907e3f6c, "gpiod_to_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xafb7459e, "netif_carrier_on" },
	{ 0x8d3c1abd, "phy_ethtool_ksettings_set" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0x6209f49, "phy_lookup_setting" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe1a6d084, "fwnode_get_named_child_node" },
	{ 0x5b636680, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x768b8934, "sfp_bus_find_fwnode" },
	{ 0xe79c3199, "sfp_bus_add_upstream" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x9b5c1e7, "fwnode_property_read_u32_array" },
	{ 0x8e9d920, "fwnode_property_present" },
	{ 0xe7ff2230, "fwnode_gpiod_get_index" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "78AA7D690DC0C8E7CDCCBEE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
