#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x0c64fb82, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xed8ac750, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x16f5ef2b, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x5143ddff, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x7801ccad, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x4c33f38b, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x72d9f4ce, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x77c42338, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xde831d45, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x0f1dbed4, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xc2ac5962, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xbaba298e, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x0bc785c3, "_gpl");
SYMBOL_CRC(usbnet_open, 0x686dbccf, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x449fb1a7, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xd1bb30ee, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xb64ceee3, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x2138fb5e, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xf9085d1c, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x109f98c2, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xbb8276fe, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xf1e2a70b, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xd5dde285, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x1276c44f, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xc0de7a8d, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x2d739cfb, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x173345ec, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x6ea761d8, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x750d0f15, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xf93b8ac6, "");
SYMBOL_CRC(usbnet_manage_power, 0xcc19052e, "");
SYMBOL_CRC(usbnet_link_change, 0xbeb843a8, "");
SYMBOL_CRC(usbnet_read_cmd, 0x4ca221f8, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x2c3878a5, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x0ede8fad, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x8e80ca4a, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x2d03caed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e924912, "usb_set_interface" },
	{ 0xc456f3d4, "usb_string" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xa7fb7713, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x45b93908, "netif_rx" },
	{ 0x727158eb, "eth_type_trans" },
	{ 0x9a010970, "skb_queue_tail" },
	{ 0xaae40049, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb4f75436, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb6ec49ec, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x71f0025, "usb_unlink_urb" },
	{ 0x5d3fd649, "usb_free_urb" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x620ef967, "usb_submit_urb" },
	{ 0xb469818f, "netdev_err" },
	{ 0xef597fa0, "mii_ethtool_get_link_ksettings" },
	{ 0x479f4eff, "mii_ethtool_set_link_ksettings" },
	{ 0xc5b99205, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x688d20a7, "unregister_netdev" },
	{ 0x793ea486, "consume_skb" },
	{ 0x7d868160, "usb_get_from_anchor" },
	{ 0xf4b4bef1, "usb_kill_urb" },
	{ 0x204c1acc, "free_netdev" },
	{ 0xd4b1d449, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5d5cf05d, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x64ab8bbf, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9e67d12d, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x90fda855, "usb_autopm_get_interface" },
	{ 0x3f6089e, "usb_autopm_put_interface" },
	{ 0x264b1ef5, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe242323e, "mii_link_ok" },
	{ 0xfe3c9a9d, "ethtool_op_get_link" },
	{ 0x57392a76, "usb_autopm_put_interface_async" },
	{ 0xafb7459e, "netif_carrier_on" },
	{ 0x10811402, "netif_carrier_off" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7465da3f, "usb_autopm_get_interface_async" },
	{ 0x7c784f79, "skb_tstamp_tx" },
	{ 0x1f9f5749, "dev_kfree_skb_any_reason" },
	{ 0x53a4dbde, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xfec5015c, "skb_dequeue" },
	{ 0x146ad499, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa1f87d8, "register_netdev" },
	{ 0xa6ac5804, "pm_runtime_enable" },
	{ 0x84ddf2bc, "usb_check_bulk_endpoints" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xec9aa489, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1368d78, "netif_tx_wake_queue" },
	{ 0x822b4396, "usb_autopm_get_interface_no_resume" },
	{ 0xf2398e99, "skb_put" },
	{ 0xce035d86, "usb_clear_halt" },
	{ 0x89285c02, "eth_mac_addr" },
	{ 0xc60a2b61, "eth_validate_addr" },
	{ 0x1981176, "ethtool_op_get_ts_info" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "38908DA3D1327226F0EBFCE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
