#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xaeecbea8, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x983fc862, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x55cde784, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xa288c11a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb08602a8, "lock_sock_nested" },
	{ 0xfe3c9a9d, "ethtool_op_get_link" },
	{ 0xae264085, "nexthop_find_by_id" },
	{ 0x5bab266, "arp_create" },
	{ 0xef683c14, "__ethtool_get_link_ksettings" },
	{ 0xe406637b, "netdev_adjacent_change_prepare" },
	{ 0xb705bab1, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x29ec5b77, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xfb7b5c61, "netdev_adjacent_change_abort" },
	{ 0x3eca353f, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x842b0b2, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x918d1172, "__iptunnel_pull_header" },
	{ 0xd2c7df90, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x45b93908, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xd6db9017, "setup_udp_tunnel_sock" },
	{ 0x1c736aac, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe92df2aa, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaae40049, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2bc578fd, "skb_scrub_packet" },
	{ 0x3fe6aa1f, "nexthop_select_path" },
	{ 0x3a7a79f5, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3bb36f2a, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x12106920, "neigh_destroy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5fb8c06e, "param_ops_bool" },
	{ 0x9af43009, "udp_tun_rx_dst" },
	{ 0xf292b6fc, "rtnl_notify" },
	{ 0x7a01c238, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbc4f21c3, "__netif_rx" },
	{ 0x24f52d28, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1cd8ed23, "metadata_dst_alloc" },
	{ 0x29726f4a, "dst_release" },
	{ 0x19a9a3d5, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x7ddc56c9, "udp_tunnel_notify_del_rx_port" },
	{ 0xc83a5567, "register_nexthop_notifier" },
	{ 0x4587668d, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xff529d01, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xa2633f0d, "netdev_core_stats_inc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xd4b1d449, "netdev_info" },
	{ 0x27ee8b34, "neigh_lookup" },
	{ 0x4bbd53dd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3a447578, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xbf28b07d, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb55b0bf0, "skb_copy_bits" },
	{ 0x150d20b3, "__nlmsg_put" },
	{ 0x45b0a45, "netdev_adjacent_change_commit" },
	{ 0x89285c02, "eth_mac_addr" },
	{ 0xf2398e99, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf202179f, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3b2bb52e, "ip6_dst_hoplimit" },
	{ 0x483ebc64, "param_ops_ushort" },
	{ 0x793ea486, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xbf688426, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5dafd96d, "udp_tunnel6_xmit_skb" },
	{ 0x10696ab, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5b2f3dd7, "__unregister_nexthop_notifier" },
	{ 0x21939f75, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xc60a2b61, "eth_validate_addr" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x637b5bcc, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf8702995, "rtnl_create_link" },
	{ 0x18f8de77, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x63f32bea, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdb44ab0, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8d33128, "udp_tunnel_drop_rx_port" },
	{ 0x445ce41c, "netdev_upper_dev_link" },
	{ 0x8c429ae7, "pskb_expand_head" },
	{ 0xafc4a33b, "register_pernet_subsys" },
	{ 0xa7fb7713, "dev_addr_mod" },
	{ 0x727158eb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xbbe9bc44, "__alloc_skb" },
	{ 0x38e5165a, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbd5e468c, "eth_gro_complete" },
	{ 0x6d33ee79, "rtnl_set_sk_err" },
	{ 0xa5adec85, "eth_gro_receive" },
	{ 0xc1a2dae7, "rtnl_configure_link" },
	{ 0x60819f26, "skb_tunnel_check_pmtu" },
	{ 0x1c1f31d3, "udp_tunnel_dst_lookup" },
	{ 0xc8b9ba62, "rtnl_unicast" },
	{ 0x3ae40521, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd5013636, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x1609f945, "__dev_get_by_index" },
	{ 0x93cb80ce, "rtnl_link_unregister" },
	{ 0x6dc02371, "__skb_get_hash" },
	{ 0x323fa54d, "ipv6_stub" },
	{ 0x1d6e6391, "skb_pull" },
	{ 0x25b94c2d, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4f9b215b, "dev_get_by_index_rcu" },
	{ 0x8ea45029, "kfree_skb_reason" },
	{ 0xfbddbffc, "gro_cells_receive" },
	{ 0x87c5ec93, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x5fa63ce4, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x204c1acc, "free_netdev" },
	{ 0xf3f77687, "ip_mc_join_group" },
	{ 0xd6b2c221, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "491CAE1A738E05928276438");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
