#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(_il_poll_bit, "", "");
KSYMTAB_FUNC(il_set_bit, "", "");
KSYMTAB_FUNC(il_clear_bit, "", "");
KSYMTAB_FUNC(_il_grab_nic_access, "_gpl", "");
KSYMTAB_FUNC(il_poll_bit, "", "");
KSYMTAB_FUNC(il_rd_prph, "", "");
KSYMTAB_FUNC(il_wr_prph, "", "");
KSYMTAB_FUNC(il_read_targ_mem, "", "");
KSYMTAB_FUNC(il_write_targ_mem, "", "");
KSYMTAB_FUNC(il_get_cmd_string, "", "");
KSYMTAB_FUNC(il_send_cmd_sync, "", "");
KSYMTAB_FUNC(il_send_cmd, "", "");
KSYMTAB_FUNC(il_send_cmd_pdu, "", "");
KSYMTAB_FUNC(il_send_cmd_pdu_async, "", "");
KSYMTAB_FUNC(il_leds_init, "", "");
KSYMTAB_FUNC(il_leds_exit, "", "");
KSYMTAB_FUNC(il_eeprom_query_addr, "", "");
KSYMTAB_FUNC(il_eeprom_query16, "", "");
KSYMTAB_FUNC(il_eeprom_init, "", "");
KSYMTAB_FUNC(il_eeprom_free, "", "");
KSYMTAB_FUNC(il_init_channel_map, "", "");
KSYMTAB_FUNC(il_free_channel_map, "", "");
KSYMTAB_FUNC(il_get_channel_info, "", "");
KSYMTAB_FUNC(il_power_update_mode, "", "");
KSYMTAB_FUNC(il_power_initialize, "", "");
KSYMTAB_FUNC(il_scan_cancel, "", "");
KSYMTAB_FUNC(il_scan_cancel_timeout, "", "");
KSYMTAB_FUNC(il_setup_rx_scan_handlers, "", "");
KSYMTAB_FUNC(il_get_active_dwell_time, "", "");
KSYMTAB_FUNC(il_get_passive_dwell_time, "", "");
KSYMTAB_FUNC(il_init_scan_params, "", "");
KSYMTAB_FUNC(il_mac_hw_scan, "", "");
KSYMTAB_FUNC(il_fill_probe_req, "", "");
KSYMTAB_FUNC(il_setup_scan_deferred_work, "", "");
KSYMTAB_FUNC(il_cancel_scan_deferred_work, "", "");
KSYMTAB_FUNC(il_send_add_sta, "", "");
KSYMTAB_FUNC(il_prep_station, "_gpl", "");
KSYMTAB_FUNC(il_add_station_common, "", "");
KSYMTAB_FUNC(il_remove_station, "_gpl", "");
KSYMTAB_FUNC(il_clear_ucode_stations, "", "");
KSYMTAB_FUNC(il_restore_stations, "", "");
KSYMTAB_FUNC(il_get_free_ucode_key_idx, "", "");
KSYMTAB_FUNC(il_dealloc_bcast_stations, "_gpl", "");
KSYMTAB_FUNC(il_send_lq_cmd, "", "");
KSYMTAB_FUNC(il_mac_sta_remove, "", "");
KSYMTAB_FUNC(il_rx_queue_space, "", "");
KSYMTAB_FUNC(il_rx_queue_update_write_ptr, "", "");
KSYMTAB_FUNC(il_rx_queue_alloc, "", "");
KSYMTAB_FUNC(il_hdl_spectrum_measurement, "", "");
KSYMTAB_FUNC(il_set_decrypted_flag, "", "");
KSYMTAB_FUNC(il_txq_update_write_ptr, "", "");
KSYMTAB_FUNC(il_tx_queue_unmap, "", "");
KSYMTAB_FUNC(il_tx_queue_free, "", "");
KSYMTAB_FUNC(il_cmd_queue_unmap, "", "");
KSYMTAB_FUNC(il_cmd_queue_free, "", "");
KSYMTAB_FUNC(il_queue_space, "", "");
KSYMTAB_FUNC(il_tx_queue_init, "", "");
KSYMTAB_FUNC(il_tx_queue_reset, "", "");
KSYMTAB_FUNC(il_tx_cmd_complete, "", "");
KSYMTAB_DATA(il_debug_level, "", "");
KSYMTAB_DATA(il_bcast_addr, "", "");
KSYMTAB_FUNC(il_init_geos, "", "");
KSYMTAB_FUNC(il_free_geos, "", "");
KSYMTAB_FUNC(il_is_ht40_tx_allowed, "", "");
KSYMTAB_FUNC(il_send_rxon_timing, "", "");
KSYMTAB_FUNC(il_set_rxon_hwcrypto, "", "");
KSYMTAB_FUNC(il_check_rxon_cmd, "", "");
KSYMTAB_FUNC(il_full_rxon_required, "", "");
KSYMTAB_FUNC(il_get_lowest_plcp, "", "");
KSYMTAB_FUNC(il_set_rxon_ht, "", "");
KSYMTAB_FUNC(il_get_single_channel_number, "", "");
KSYMTAB_FUNC(il_set_rxon_channel, "", "");
KSYMTAB_FUNC(il_set_flags_for_band, "", "");
KSYMTAB_FUNC(il_connection_init_rx_config, "", "");
KSYMTAB_FUNC(il_set_rate, "", "");
KSYMTAB_FUNC(il_chswitch_done, "", "");
KSYMTAB_FUNC(il_hdl_csa, "", "");
KSYMTAB_FUNC(il_irq_handle_error, "", "");
KSYMTAB_FUNC(_il_apm_stop, "", "");
KSYMTAB_FUNC(il_apm_stop, "", "");
KSYMTAB_FUNC(il_apm_init, "", "");
KSYMTAB_FUNC(il_set_tx_power, "", "");
KSYMTAB_FUNC(il_send_bt_config, "", "");
KSYMTAB_FUNC(il_send_stats_request, "", "");
KSYMTAB_FUNC(il_hdl_pm_sleep, "", "");
KSYMTAB_FUNC(il_hdl_pm_debug_stats, "", "");
KSYMTAB_FUNC(il_hdl_error, "", "");
KSYMTAB_FUNC(il_mac_conf_tx, "", "");
KSYMTAB_FUNC(il_mac_tx_last_beacon, "_gpl", "");
KSYMTAB_FUNC(il_mac_add_interface, "", "");
KSYMTAB_FUNC(il_mac_remove_interface, "", "");
KSYMTAB_FUNC(il_alloc_txq_mem, "", "");
KSYMTAB_FUNC(il_free_txq_mem, "", "");
KSYMTAB_FUNC(il_force_reset, "", "");
KSYMTAB_FUNC(il_mac_change_interface, "", "");
KSYMTAB_FUNC(il_mac_flush, "", "");
KSYMTAB_FUNC(il_bg_watchdog, "", "");
KSYMTAB_FUNC(il_setup_watchdog, "", "");
KSYMTAB_FUNC(il_usecs_to_beacons, "", "");
KSYMTAB_FUNC(il_add_beacon_time, "", "");
KSYMTAB_DATA(il_pm_ops, "", "");
KSYMTAB_FUNC(il_mac_config, "", "");
KSYMTAB_FUNC(il_mac_reset_tsf, "", "");
KSYMTAB_FUNC(il_mac_bss_info_changed, "", "");
KSYMTAB_FUNC(il_isr, "", "");
KSYMTAB_FUNC(il_tx_cmd_protection, "", "");

SYMBOL_CRC(_il_poll_bit, 0x123e0bc6, "");
SYMBOL_CRC(il_set_bit, 0xdcf222aa, "");
SYMBOL_CRC(il_clear_bit, 0x6db7053b, "");
SYMBOL_CRC(_il_grab_nic_access, 0xeaba0742, "_gpl");
SYMBOL_CRC(il_poll_bit, 0x929548fe, "");
SYMBOL_CRC(il_rd_prph, 0x1aba38d0, "");
SYMBOL_CRC(il_wr_prph, 0x403b8349, "");
SYMBOL_CRC(il_read_targ_mem, 0xa09a33d8, "");
SYMBOL_CRC(il_write_targ_mem, 0x5657c84d, "");
SYMBOL_CRC(il_get_cmd_string, 0xb65510a3, "");
SYMBOL_CRC(il_send_cmd_sync, 0x38c069c5, "");
SYMBOL_CRC(il_send_cmd, 0x53dbcbeb, "");
SYMBOL_CRC(il_send_cmd_pdu, 0x472516e2, "");
SYMBOL_CRC(il_send_cmd_pdu_async, 0x4f897e4a, "");
SYMBOL_CRC(il_leds_init, 0xb6b09b05, "");
SYMBOL_CRC(il_leds_exit, 0xeb6d5cda, "");
SYMBOL_CRC(il_eeprom_query_addr, 0x96ef0dbb, "");
SYMBOL_CRC(il_eeprom_query16, 0x92eb93ea, "");
SYMBOL_CRC(il_eeprom_init, 0x0f67e4eb, "");
SYMBOL_CRC(il_eeprom_free, 0x39569352, "");
SYMBOL_CRC(il_init_channel_map, 0xaa7473f2, "");
SYMBOL_CRC(il_free_channel_map, 0x5fa9bb21, "");
SYMBOL_CRC(il_get_channel_info, 0x91f69fc8, "");
SYMBOL_CRC(il_power_update_mode, 0xf8f8c6c2, "");
SYMBOL_CRC(il_power_initialize, 0x6be288cf, "");
SYMBOL_CRC(il_scan_cancel, 0x72d8b918, "");
SYMBOL_CRC(il_scan_cancel_timeout, 0x7e9460fb, "");
SYMBOL_CRC(il_setup_rx_scan_handlers, 0x44c1423f, "");
SYMBOL_CRC(il_get_active_dwell_time, 0x2eacc02d, "");
SYMBOL_CRC(il_get_passive_dwell_time, 0xa9e2ab2d, "");
SYMBOL_CRC(il_init_scan_params, 0xa42b683d, "");
SYMBOL_CRC(il_mac_hw_scan, 0x06227248, "");
SYMBOL_CRC(il_fill_probe_req, 0x2b804cb0, "");
SYMBOL_CRC(il_setup_scan_deferred_work, 0x971f11d6, "");
SYMBOL_CRC(il_cancel_scan_deferred_work, 0x0dafa03a, "");
SYMBOL_CRC(il_send_add_sta, 0xe59ed488, "");
SYMBOL_CRC(il_prep_station, 0xd280707b, "_gpl");
SYMBOL_CRC(il_add_station_common, 0x844d1f0b, "");
SYMBOL_CRC(il_remove_station, 0x1a195678, "_gpl");
SYMBOL_CRC(il_clear_ucode_stations, 0x9b29fbc8, "");
SYMBOL_CRC(il_restore_stations, 0xe21269fe, "");
SYMBOL_CRC(il_get_free_ucode_key_idx, 0xe69542d4, "");
SYMBOL_CRC(il_dealloc_bcast_stations, 0xf752d316, "_gpl");
SYMBOL_CRC(il_send_lq_cmd, 0x3be05b82, "");
SYMBOL_CRC(il_mac_sta_remove, 0xf91d568a, "");
SYMBOL_CRC(il_rx_queue_space, 0x294cee20, "");
SYMBOL_CRC(il_rx_queue_update_write_ptr, 0x85a2ce49, "");
SYMBOL_CRC(il_rx_queue_alloc, 0x4e9f0d09, "");
SYMBOL_CRC(il_hdl_spectrum_measurement, 0xb61f817c, "");
SYMBOL_CRC(il_set_decrypted_flag, 0xcb873066, "");
SYMBOL_CRC(il_txq_update_write_ptr, 0xc84c5a7f, "");
SYMBOL_CRC(il_tx_queue_unmap, 0x83d9e5bd, "");
SYMBOL_CRC(il_tx_queue_free, 0xb465368c, "");
SYMBOL_CRC(il_cmd_queue_unmap, 0xe398a421, "");
SYMBOL_CRC(il_cmd_queue_free, 0xd609dec6, "");
SYMBOL_CRC(il_queue_space, 0x2bf7eea6, "");
SYMBOL_CRC(il_tx_queue_init, 0x355eca68, "");
SYMBOL_CRC(il_tx_queue_reset, 0x322d4082, "");
SYMBOL_CRC(il_tx_cmd_complete, 0xd171edad, "");
SYMBOL_CRC(il_debug_level, 0x416bd26a, "");
SYMBOL_CRC(il_bcast_addr, 0xf70a693b, "");
SYMBOL_CRC(il_init_geos, 0x3716ad4b, "");
SYMBOL_CRC(il_free_geos, 0xc0d1e3e7, "");
SYMBOL_CRC(il_is_ht40_tx_allowed, 0x742079f5, "");
SYMBOL_CRC(il_send_rxon_timing, 0xeba71d62, "");
SYMBOL_CRC(il_set_rxon_hwcrypto, 0xc4b2b7e0, "");
SYMBOL_CRC(il_check_rxon_cmd, 0xcba5ed34, "");
SYMBOL_CRC(il_full_rxon_required, 0x9a5e7783, "");
SYMBOL_CRC(il_get_lowest_plcp, 0x92840a0d, "");
SYMBOL_CRC(il_set_rxon_ht, 0x87918560, "");
SYMBOL_CRC(il_get_single_channel_number, 0x7d7c7fc2, "");
SYMBOL_CRC(il_set_rxon_channel, 0x0a92179a, "");
SYMBOL_CRC(il_set_flags_for_band, 0x0f598461, "");
SYMBOL_CRC(il_connection_init_rx_config, 0xc436fc7d, "");
SYMBOL_CRC(il_set_rate, 0x091cbf5f, "");
SYMBOL_CRC(il_chswitch_done, 0x690e5509, "");
SYMBOL_CRC(il_hdl_csa, 0x010022bb, "");
SYMBOL_CRC(il_irq_handle_error, 0xe890677c, "");
SYMBOL_CRC(_il_apm_stop, 0x6ba48e00, "");
SYMBOL_CRC(il_apm_stop, 0x69a12b75, "");
SYMBOL_CRC(il_apm_init, 0x479657da, "");
SYMBOL_CRC(il_set_tx_power, 0x91341a29, "");
SYMBOL_CRC(il_send_bt_config, 0xc82657e6, "");
SYMBOL_CRC(il_send_stats_request, 0xe2f24a6a, "");
SYMBOL_CRC(il_hdl_pm_sleep, 0xfcb26fad, "");
SYMBOL_CRC(il_hdl_pm_debug_stats, 0x4ca75add, "");
SYMBOL_CRC(il_hdl_error, 0x5856d1d9, "");
SYMBOL_CRC(il_mac_conf_tx, 0x4b5e490b, "");
SYMBOL_CRC(il_mac_tx_last_beacon, 0xcc47aed6, "_gpl");
SYMBOL_CRC(il_mac_add_interface, 0x62a6e43a, "");
SYMBOL_CRC(il_mac_remove_interface, 0x9cbd0893, "");
SYMBOL_CRC(il_alloc_txq_mem, 0xaf7dab62, "");
SYMBOL_CRC(il_free_txq_mem, 0x695b3ba0, "");
SYMBOL_CRC(il_force_reset, 0x34dc702c, "");
SYMBOL_CRC(il_mac_change_interface, 0x01e731d5, "");
SYMBOL_CRC(il_mac_flush, 0x23c4e064, "");
SYMBOL_CRC(il_bg_watchdog, 0x9cc714af, "");
SYMBOL_CRC(il_setup_watchdog, 0x8c1a79de, "");
SYMBOL_CRC(il_usecs_to_beacons, 0xac5a7749, "");
SYMBOL_CRC(il_add_beacon_time, 0x7abc6bc5, "");
SYMBOL_CRC(il_pm_ops, 0x907db4b3, "");
SYMBOL_CRC(il_mac_config, 0x8d98e348, "");
SYMBOL_CRC(il_mac_reset_tsf, 0x68bfdfea, "");
SYMBOL_CRC(il_mac_bss_info_changed, 0x68b9ece8, "");
SYMBOL_CRC(il_isr, 0xb7bd33ff, "");
SYMBOL_CRC(il_tx_cmd_protection, 0xc56ff321, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0b20478, "led_classdev_unregister" },
	{ 0x67cf3c94, "__ieee80211_create_tpt_led_trigger" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xeb551697, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe1b7b5e6, "__ieee80211_get_radio_led_name" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xaca24326, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb62b55c5, "dev_driver_string" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfb859fa9, "led_classdev_register_ext" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6910dd68, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0x2e0d0bb1, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5fb8c06e, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7107685e, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde7af3d7, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3c618c02, "pcie_capability_read_word" },
	{ 0x7da96e91, "ieee80211_chswitch_done" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x793ea486, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "95B050192A01FF90B21F52B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
