#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xfdcf4fee, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xff783b29, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xa37c18ba, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xd8d5f0cf, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x88f5dc61, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0xd57a3c04, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xe4d231d1, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x4bde0a33, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x8f0ced6f, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x323dbc1e, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xac3ce880, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x2022af20, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x9b39ef43, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x0086f48b, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x538c27e0, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x1999dd83, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x168a25fe, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x9f64ae35, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xd83bd319, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x9639c353, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x9750ba29, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x2aeaf86d, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xd476e792, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xded2a558, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xdea4e911, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xbc0690a7, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xd47c1e8f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xe2a992f6, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x838fc576, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x4c944327, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x5afbe730, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xb907399b, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xfe066ddf, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xa6c9183c, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x25310e3b, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x37a64f5e, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x916f27cc, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x55299a74, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xa7b7719d, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x5815e692, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x053a024f, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x620393d5, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xf217e423, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x6d9b398e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x3c65f4d0, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x821ab6d0, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xc00dff4d, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x5f9287d2, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x13728d91, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x09fdd5ff, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x3f6936bc, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x432e01b0, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xecbdcb29, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x7d1bb52a, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x8cd44b3e, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xfc8761e2, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xaca838c3, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x4d2f4a6a, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xd2465a6a, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xf78b34e5, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x463418b9, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x490fa6a0, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x87c0680e, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xe432c24a, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x881559bc, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x3e3f6805, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32531c80, "mt76_csa_check" },
	{ 0x19830ed3, "mt76_tx_status_skb_add" },
	{ 0x82f45b1a, "__tracepoint_mac_txdone" },
	{ 0x150ed5c9, "mt76_tx_check_agg_ssn" },
	{ 0xb868f30a, "ieee80211_tx_status_ext" },
	{ 0x7f06a7d6, "mt76_stop_tx_queues" },
	{ 0x824116f2, "___pskb_trim" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9cf4231, "__mt76_tx_complete_skb" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xf464d179, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb2ec766b, "ieee80211_restart_hw" },
	{ 0x80fdd13f, "bpf_trace_run2" },
	{ 0x69ce48a4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x38e888e1, "kthread_park" },
	{ 0xa27486d2, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa643451f, "mt76_wcid_init" },
	{ 0xeb35875a, "mt76_tx_status_check" },
	{ 0x6cc8f13b, "wake_up_process" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0xd35f9581, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4cc576b8, "napi_complete_done" },
	{ 0xcf13af10, "ieee80211_get_tx_rates" },
	{ 0xb5c6b648, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffbe7976, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x591b060, "mt76_tx" },
	{ 0x81a65f93, "__napi_schedule" },
	{ 0xfdc2b48b, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8db43e3c, "mt76_wcid_key_setup" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x84bdbff3, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x79a997f5, "kthread_unpark" },
	{ 0xfc9deba7, "mt76_phy_dfs_state" },
	{ 0x87084dda, "wiphy_to_ieee80211_hw" },
	{ 0x8caf4254, "mt76_init_queue" },
	{ 0x46a76550, "debugfs_attr_read" },
	{ 0x28543105, "__mt76_sta_remove" },
	{ 0x105e0885, "mt76_tx_status_skb_done" },
	{ 0xd539aa75, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xcbcd8626, "perf_trace_run_bpf_submit" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0x7406b0db, "debugfs_create_bool" },
	{ 0x1d6e6391, "skb_pull" },
	{ 0x847889c6, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x96b59112, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x87c5ec93, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1eea697e, "napi_enable" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0x492284c, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x5ec0e403, "ieee80211_wake_queues" },
	{ 0x2265d688, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7e62fdc2, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xa583e655, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa4c3e56f, "mt76_set_irq_mask" },
	{ 0x1757a547, "bpf_trace_run1" },
	{ 0x7877ca47, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x180dfe03, "debugfs_create_u32" },
	{ 0xa0b1cf2, "__SCK__tp_func_mac_txdone" },
	{ 0x8b5edf85, "mt76_seq_puts_array" },
	{ 0x2b761dae, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa53dbe5e, "__tracepoint_dev_irq" },
	{ 0xbced23a1, "seq_read" },
	{ 0xca86eb99, "mt76_mcu_get_response" },
	{ 0x1001c60a, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0xdec47dac, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2e290f25, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c964012, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdeabde7, "____mt76_poll_msec" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xde7af3d7, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xce0d0ba9, "mt76_wcid_cleanup" },
	{ 0x3015df59, "seq_puts" },
	{ 0x1b50f99d, "ieee80211_radar_detected" },
	{ 0xc339adb7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8b28dee2, "mt76_queues_read" },
	{ 0xc1218b, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe1790ba5, "napi_schedule_prep" },
	{ 0x9140cfc, "napi_disable" },
	{ 0x1f9f5749, "dev_kfree_skb_any_reason" },
	{ 0x407ab035, "__mt76_poll" },
	{ 0x8e6195dc, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xab6e7d9b, "debugfs_create_u8" },
	{ 0x6f2851b9, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x143463f9, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xa33ef526, "mt76_dma_rx_poll" },
	{ 0x9eb3442e, "mt76_tx_status_unlock" },
	{ 0xe5d4f12c, "simple_attr_open" },
	{ 0xa3bc806a, "debugfs_attr_write" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x793ea486, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x498d0bf2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6a18302, "mt76_tx_status_skb_get" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0xfb8ced89, "mt76_tx_status_lock" },
	{ 0xfec5015c, "skb_dequeue" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "7C308673CF1DB0A8767DA94");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
