#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d56f3c7, "remove_proc_entry" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9942c58b, "sysfs_update_group" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x9552228a, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4a2d876c, "misc_deregister" },
	{ 0x3ec22c1d, "hwmon_device_unregister" },
	{ 0x245471f8, "iio_device_unregister" },
	{ 0x61f7993a, "iio_device_free" },
	{ 0xf616d3ee, "input_unregister_device" },
	{ 0x9f1f5e6b, "backlight_device_unregister" },
	{ 0xd0b20478, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd728b67c, "battery_hook_unregister" },
	{ 0x876f3dd0, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x124f999, "sysfs_remove_group" },
	{ 0x3604bece, "device_remove_groups" },
	{ 0xb7bea73a, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6585a74d, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6f2851b9, "single_open" },
	{ 0x13e52730, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x4e570171, "misc_register" },
	{ 0xfb859fa9, "led_classdev_register_ext" },
	{ 0xdf147555, "iio_device_alloc" },
	{ 0x763f7e73, "hwmon_device_register_with_info" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xce0c1fec, "sysfs_create_group" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x27ebd0, "input_allocate_device" },
	{ 0x474d3ba8, "sparse_keymap_setup" },
	{ 0xfdc9b023, "input_free_device" },
	{ 0x6c6f18b7, "__iio_device_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x7119b5c, "backlight_device_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x53e02b51, "i8042_install_filter" },
	{ 0x87552291, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0x4a1c3ff7, "proc_create_data" },
	{ 0xbeda802d, "proc_create_single_data" },
	{ 0x7d92e4b9, "battery_hook_register" },
	{ 0x5d732452, "input_register_device" },
	{ 0x9c6ddc1d, "sparse_keymap_report_event" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x3b77cea3, "noop_llseek" },
	{ 0xbced23a1, "seq_read" },
	{ 0xf464d179, "seq_lseek" },
	{ 0xc339adb7, "single_release" },
	{ 0x5fb8c06e, "param_ops_bool" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0xd0181eb9, "proc_mkdir" },
	{ 0x92997ed8, "_printk" },
	{ 0xe31abe92, "acpi_bus_register_driver" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,sparse-keymap,video");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "5943C91E281D2D58CEFAEEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
