#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8934f729, "cxgb3_queue_tid_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd35f5176, "cxgbi_sock_fail_act_open" },
	{ 0x37a0cba, "kfree" },
	{ 0xb275b33, "cxgbi_sock_skb_entail" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xbbe9bc44, "__alloc_skb" },
	{ 0x8edf62e9, "cxgbi_sock_closed" },
	{ 0x9297b9bd, "cxgb3_insert_tid" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xad1a0501, "cxgbi_sock_established" },
	{ 0x940af4b7, "cxgbi_conn_tx_open" },
	{ 0x1cb94a09, "cxgb3_free_atid" },
	{ 0xabefec07, "cxgbi_sock_free_cpl_skbs" },
	{ 0x9b7151e4, "cxgbi_sock_purge_wr_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe7b1283, "cxgb3_remove_tid" },
	{ 0xe1d209ee, "t3_l2e_free" },
	{ 0x69a57045, "t3_l2t_get" },
	{ 0x34c8d1d4, "cxgb3_alloc_atid" },
	{ 0x769662fe, "ip6_mtu" },
	{ 0x1ce3252c, "cxgbi_sock_select_mss" },
	{ 0xcacb6864, "ipv4_mtu" },
	{ 0xf37a4c62, "cxgbi_create_session" },
	{ 0x2f52849, "cxgbi_destroy_session" },
	{ 0xcb030e84, "cxgbi_create_conn" },
	{ 0x1933480e, "iscsi_conn_unbind" },
	{ 0xc294b25d, "cxgbi_bind_conn" },
	{ 0x1494d8f5, "iscsi_conn_start" },
	{ 0xa05680a8, "iscsi_conn_stop" },
	{ 0x92996537, "iscsi_tcp_conn_teardown" },
	{ 0x9f29a061, "cxgbi_set_conn_param" },
	{ 0xc761903d, "cxgbi_get_ep_param" },
	{ 0x4bc7fbe7, "iscsi_conn_get_param" },
	{ 0xda34feee, "iscsi_session_get_param" },
	{ 0xf868f23e, "cxgbi_get_host_param" },
	{ 0x67d23cc2, "cxgbi_set_host_param" },
	{ 0xb3143da2, "iscsi_conn_send_pdu" },
	{ 0xc809efc7, "cxgbi_get_conn_stats" },
	{ 0x3c8af7d4, "iscsi_tcp_task_init" },
	{ 0xea3bb707, "iscsi_tcp_task_xmit" },
	{ 0x891bac6, "cxgbi_cleanup_task" },
	{ 0xf2825805, "cxgbi_conn_alloc_pdu" },
	{ 0xa7fd2de2, "cxgbi_conn_xmit_pdu" },
	{ 0xc31e41ab, "cxgbi_conn_init_pdu" },
	{ 0xe058c094, "cxgbi_parse_pdu_itt" },
	{ 0xceed97de, "iscsi_session_recovery_timedout" },
	{ 0x173f73e1, "cxgbi_ep_connect" },
	{ 0xf996f3a, "cxgbi_ep_poll" },
	{ 0xe1b18e72, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0x3d708bba, "iscsi_queuecommand" },
	{ 0xbcf93f3a, "iscsi_eh_abort" },
	{ 0xc5086e7, "iscsi_eh_device_reset" },
	{ 0xed484bc6, "iscsi_eh_recover_target" },
	{ 0xbedd7e02, "iscsi_target_alloc" },
	{ 0xfbb92f6f, "scsi_change_queue_depth" },
	{ 0xe7c30e50, "iscsi_eh_cmd_timed_out" },
	{ 0x2bca264e, "param_ops_uint" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa118393e, "cxgbi_sock_rcv_wr_ack" },
	{ 0x94af7d3a, "__kfree_skb" },
	{ 0x92997ed8, "_printk" },
	{ 0x6aae4011, "cxgbi_device_find_by_lldev" },
	{ 0xad23cf38, "cxgbi_device_unregister" },
	{ 0x64f6662f, "cxgb3_ofld_send" },
	{ 0x82ee5d4, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x8ea45029, "kfree_skb_reason" },
	{ 0x8c163bcb, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x428ad663, "cxgbi_sock_rcv_abort_rpl" },
	{ 0xf8f731f4, "cxgbi_sock_rcv_peer_close" },
	{ 0x30480fc6, "cxgbi_iscsi_init" },
	{ 0x85f145d, "cxgb3_register_client" },
	{ 0x4fe4846f, "cxgb3_unregister_client" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0xfb939d0f, "cxgbi_iscsi_cleanup" },
	{ 0x2fb66c40, "cxgbi_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bdaafe1, "cxgbi_tagmask_set" },
	{ 0x3c870004, "cxgbi_ddp_ppm_setup" },
	{ 0x173e6086, "cxgbi_device_portmap_create" },
	{ 0x2b319d91, "cxgbi_hbas_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9b0f4140, "t3_l2t_send_slow" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb55b0bf0, "skb_copy_bits" },
	{ 0x24ad19ce, "cxgbi_conn_pdu_ready" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x824116f2, "___pskb_trim" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "cxgb3,libcxgbi,libiscsi,libiscsi_tcp,scsi_mod,libcxgb");


MODULE_INFO(srcversion, "7D71BC3F2E1D505069033E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
