#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xce76a31e, "");
SYMBOL_CRC(pn_sock_unhash, 0x9d550b7e, "");
SYMBOL_CRC(phonet_stream_ops, 0x6d614cab, "");
SYMBOL_CRC(pn_sock_get_port, 0xa2f02caa, "");
SYMBOL_CRC(phonet_header_ops, 0xbb68ab78, "");
SYMBOL_CRC(pn_skb_send, 0x5e49b6db, "");
SYMBOL_CRC(phonet_proto_register, 0x201b26f3, "");
SYMBOL_CRC(phonet_proto_unregister, 0x9ba58556, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa49cd949, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2a1acc6e, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbec5223a, "sock_register" },
	{ 0xb4037d94, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbbe9bc44, "__alloc_skb" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0xa3cfc11c, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6d33ee79, "rtnl_set_sk_err" },
	{ 0x64d53f49, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe762ee81, "module_put" },
	{ 0x401148cf, "__sk_receive_skb" },
	{ 0x60ea718c, "sock_no_shutdown" },
	{ 0x1609f945, "__dev_get_by_index" },
	{ 0x8efc9c5d, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdc79bab4, "dev_remove_pack" },
	{ 0xca1641ac, "dev_get_by_index" },
	{ 0xf8ed09ce, "sk_free" },
	{ 0x8ea45029, "kfree_skb_reason" },
	{ 0x4d25d49c, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x87c5ec93, "skb_push" },
	{ 0x1f535b6, "sock_no_listen" },
	{ 0xd5a43273, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xb08602a8, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8c3a26a0, "skb_copy_datagram_iter" },
	{ 0xb705bab1, "rtnl_register_module" },
	{ 0xe4cf951, "sk_alloc" },
	{ 0x29ec5b77, "unregister_pernet_subsys" },
	{ 0x640c5712, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffd3b3e6, "sock_no_mmap" },
	{ 0xd2c7df90, "__pskb_pull_tail" },
	{ 0x45b93908, "netif_rx" },
	{ 0xe4969976, "sock_common_recvmsg" },
	{ 0xe92df2aa, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x65596ef, "sk_common_release" },
	{ 0x63b66b40, "seq_pad" },
	{ 0xac745858, "sock_i_ino" },
	{ 0x7099c357, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x80bd0379, "skb_recv_datagram" },
	{ 0x7537088c, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5d56f3c7, "remove_proc_entry" },
	{ 0xf292b6fc, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6585a74d, "seq_printf" },
	{ 0x24f52d28, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd7436d13, "_copy_from_iter" },
	{ 0x3015df59, "seq_puts" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1cd6598c, "from_kuid_munged" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x3cd21e0f, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3113586c, "sock_init_data" },
	{ 0xb399cdd6, "sk_ioctl" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4bbd53dd, "release_sock" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x2ec25b71, "skb_free_datagram" },
	{ 0x2e0c4906, "sock_queue_rcv_skb_reason" },
	{ 0x7a6b8a85, "try_module_get" },
	{ 0x81c934ef, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x150d20b3, "__nlmsg_put" },
	{ 0xf2398e99, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x793ea486, "consume_skb" },
	{ 0xe2b497cb, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x86960318, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x824116f2, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xae7758ba, "sock_no_connect" },
	{ 0xd54d629b, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2398fcc3, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c429ae7, "pskb_expand_head" },
	{ 0xafc4a33b, "register_pernet_subsys" },
	{ 0xb4f75436, "skb_queue_purge_reason" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F121FA1CA78A31D4592CEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
