#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x67b9b099, "");
SYMBOL_CRC(snd_pcm_new, 0xdccbde72, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x09adb738, "");
SYMBOL_CRC(snd_pcm_notify, 0x3bba6052, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0xcc63f6ae, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x27275466, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x105178c7, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0xda9986d1, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x09d2f111, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0x5243778d, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0xe7bbe380, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xb86927f5, "");
SYMBOL_CRC(snd_pcm_stop, 0x1a1a97dc, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x1df0b879, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x5bcbb0ce, "");
SYMBOL_CRC(snd_pcm_release_substream, 0xfec10825, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xbad097cb, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0x23584106, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x80e29aad, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x7ba05313, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x359e7785, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x28767491, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x3dcddd77, "");
SYMBOL_CRC(snd_pcm_set_sync, 0xd605f0c7, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xbd64e2e6, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x028c03e7, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x30f9e070, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x8cd9621d, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x677832cf, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x82fd95de, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x3e389fd9, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x86e1c302, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0xede59e93, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x39f05b46, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x96e66eb1, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0xfe829ca3, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0xe30777cd, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x95d95336, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0x41aa5e29, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x952b3293, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0xf1450f14, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x807d0ee3, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0xc8dfef22, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x566416b5, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x32e99433, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x31da05be, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x369a10c2, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xfbdb18a8, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0xa69a020e, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x4577ab94, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0xe699d1de, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0x2df2ffa5, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0xbf1e6f0c, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0x5835fd38, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x32d0e888, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0xfc7f87e1, "");
SYMBOL_CRC(snd_dma_free_pages, 0x54a84855, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0xa612c8fe, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0xbe25b876, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0xb13c0051, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x7040415b, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0x51be3f95, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x0d4caa96, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x3d233c8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xded6c958, "dma_sync_single_for_cpu" },
	{ 0x47b3d798, "dma_sync_sg_for_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf75acddc, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5a350cbd, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0xff9d1289, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb52e5e21, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfeb97236, "dma_alloc_noncontiguous" },
	{ 0x890be606, "dma_mmap_noncontiguous" },
	{ 0x20f5c295, "set_pages_array_wc" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x915120f, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x3b849e57, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xae14c70b, "snd_info_create_card_entry" },
	{ 0xd7436d13, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0xf0f23de8, "snd_power_wait" },
	{ 0xb42c505, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xffd4e735, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x590d15b6, "pid_vnr" },
	{ 0xa2ed88db, "snd_device_free" },
	{ 0xb02debf, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0xce0b2fb8, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7c00dcf1, "snd_device_register" },
	{ 0xc1671b5c, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa83cd05f, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xad201e85, "dma_can_mmap" },
	{ 0x7a6b8a85, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x239d57e4, "dma_ops" },
	{ 0x79c94c8d, "_copy_to_iter" },
	{ 0x30326eae, "snd_info_register" },
	{ 0xc87c509a, "snd_info_create_module_entry" },
	{ 0x889e83e4, "snd_ctl_unregister_ioctl_compat" },
	{ 0xa6f67e85, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xb6cffb70, "dev_set_name" },
	{ 0xb075c20d, "snd_ctl_add" },
	{ 0xfdda9d24, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xe2620115, "snd_timer_notify" },
	{ 0xe0c8e49, "snd_ctl_get_preferred_subdevice" },
	{ 0xc88e5cd9, "dma_vunmap_noncontiguous" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x2b001b33, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xf2a30985, "dma_mmap_pages" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4b10cd70, "dma_sync_sg_for_cpu" },
	{ 0x4fd337ea, "dma_free_pages" },
	{ 0xc26f33b2, "dma_sync_single_for_device" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xabd1429, "snd_timer_interrupt" },
	{ 0xc183b81, "snd_info_free_entry" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8480cf8b, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x80fdd13f, "bpf_trace_run2" },
	{ 0xf6bd6371, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf14e3de7, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0x6b59ec32, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8a4c0490, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x33ce4efb, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe17f80af, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb914e114, "put_device" },
	{ 0x27addc36, "snd_ctl_register_ioctl" },
	{ 0x8853496a, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbad3906, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0xe762ee81, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xcbcd8626, "perf_trace_run_bpf_submit" },
	{ 0x796ae5bf, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x3a500dc8, "dma_vmap_noncontiguous" },
	{ 0x1982d673, "bpf_trace_run5" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfee89082, "__devres_alloc_node" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0xba70b76, "dma_need_sync" },
	{ 0xe2c05d90, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa2ae6b3e, "vmap" },
	{ 0x8a2dcff8, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3d37688a, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfcf48a6b, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1757a547, "bpf_trace_run1" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x653925fe, "snd_device_new" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "357AF16DDB6E49583DC02E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
