#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10a2b1bc, "snd_hda_find_mixer_ctl" },
	{ 0x51c4a8b9, "snd_hda_jack_bind_keymap" },
	{ 0xe8969a0, "snd_hda_override_amp_caps" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xaa6d3448, "__hda_codec_driver_register" },
	{ 0xb0d50e08, "snd_hda_jack_set_gating_jack" },
	{ 0xc77d1843, "snd_hda_parse_pin_defcfg" },
	{ 0xf181f5cf, "snd_hda_gen_init" },
	{ 0xbc14d8c4, "is_jack_detectable" },
	{ 0x6eeb1816, "snd_hda_gen_path_power_filter" },
	{ 0x8c94f710, "hda_component_manager_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7fb6eff9, "snd_hdac_power_down_pm" },
	{ 0x2536f177, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x251c6d39, "__snd_hda_apply_fixup" },
	{ 0x2d93d375, "snd_hda_mixer_amp_switch_get" },
	{ 0x6add5c9a, "dmi_find_device" },
	{ 0xcf4ed30d, "snd_hda_codec_set_pin_target" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xab310120, "snd_hda_gen_check_power_status" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7c747fe3, "snd_hda_gen_hp_automute" },
	{ 0xec8fd4f8, "snd_ctl_rename" },
	{ 0xc1a52f3, "_snd_hda_set_pin_ctl" },
	{ 0x3792a00e, "snd_hdac_regmap_write_raw" },
	{ 0x96b82682, "snd_hda_codec_set_name" },
	{ 0xfd336eb4, "snd_hda_mixer_amp_volume_get" },
	{ 0xd8e2c6d3, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0xe541dc, "hda_component_manager_bind" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x593171e4, "input_event" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x26b04e0c, "snd_hda_gen_update_outputs" },
	{ 0xb0fed6b6, "snd_hda_mixer_amp_switch_put" },
	{ 0x7d5e77df, "snd_hda_codec_set_pincfg" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x887b8d13, "snd_hda_jack_unsol_event" },
	{ 0xde1df92d, "snd_hda_override_conn_list" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x11862e95, "snd_hda_gen_build_pcms" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf2a7d518, "snd_hda_mixer_amp_tlv" },
	{ 0x28067078, "snd_pci_quirk_lookup" },
	{ 0x7d28ab8, "snd_hda_codec_amp_stereo" },
	{ 0x3f7e7ed9, "snd_hda_pick_fixup" },
	{ 0x6fa08da4, "snd_hda_add_verbs" },
	{ 0xbfad49f2, "snd_hda_apply_fixup" },
	{ 0xcc740e34, "snd_hda_gen_parse_auto_config" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xc719908c, "hda_component_manager_bind_acpi_notifications" },
	{ 0x76bc2dc0, "snd_hdac_codec_read" },
	{ 0x605e6b77, "snd_hda_mixer_amp_volume_put" },
	{ 0x229285f8, "component_unbind_all" },
	{ 0x2bc26131, "snd_hda_codec_get_pin_target" },
	{ 0x5784011d, "snd_hda_gen_free" },
	{ 0x859e3ae6, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa45ab3e1, "snd_hdac_regmap_sync" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xaabd43a2, "snd_hda_jack_add_kctl_mst" },
	{ 0x72aaa0e6, "snd_hda_shutup_pins" },
	{ 0x27ebd0, "input_allocate_device" },
	{ 0x71a13e45, "snd_hda_apply_verbs" },
	{ 0xe728fd0a, "hda_component_manager_unbind_acpi_notifications" },
	{ 0xe109e777, "snd_hdac_power_up_pm" },
	{ 0x187d86f8, "snd_hda_gen_build_controls" },
	{ 0xa80248bf, "query_amp_caps" },
	{ 0x16186b9, "snd_hda_mixer_amp_volume_info" },
	{ 0xae910ef4, "hda_component_manager_playback_hook" },
	{ 0x5c647039, "snd_hda_jack_detect_state_mst" },
	{ 0xc0b3a8ee, "snd_hda_gen_spec_init" },
	{ 0x48447b60, "snd_hda_jack_set_button_state" },
	{ 0xd1c13b78, "snd_hda_mixer_amp_switch_info" },
	{ 0xd7e21c9b, "hda_codec_driver_unregister" },
	{ 0x440958b1, "snd_hda_apply_pincfgs" },
	{ 0x3211ecbc, "snd_hda_codec_get_pincfg" },
	{ 0x678c4768, "snd_hdac_codec_write" },
	{ 0xddbfea72, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xf616d3ee, "input_unregister_device" },
	{ 0xb0473373, "hda_component_manager_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6b3826b, "snd_hda_gen_add_kctl" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfdc9b023, "input_free_device" },
	{ 0xc034246f, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xe639b27e, "_snd_hdac_read_parm" },
	{ 0x5d732452, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6b0a30f6, "snd_hda_pick_pin_fixup" },
	{ 0xf84928e3, "snd_hdac_override_parm" },
	{ 0x71fa98c8, "hda_component_acpi_device_notify" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0x467054d8, "snd_hda_get_bool_hint" },
	{ 0x934767af, "snd_hda_sequence_write" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-scodec-component,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v10EC0215r*a01*");
MODULE_ALIAS("hdaudio:v10EC0221r*a01*");
MODULE_ALIAS("hdaudio:v10EC0222r*a01*");
MODULE_ALIAS("hdaudio:v10EC0225r*a01*");
MODULE_ALIAS("hdaudio:v10EC0230r*a01*");
MODULE_ALIAS("hdaudio:v10EC0231r*a01*");
MODULE_ALIAS("hdaudio:v10EC0233r*a01*");
MODULE_ALIAS("hdaudio:v10EC0234r*a01*");
MODULE_ALIAS("hdaudio:v10EC0235r*a01*");
MODULE_ALIAS("hdaudio:v10EC0236r*a01*");
MODULE_ALIAS("hdaudio:v10EC0245r*a01*");
MODULE_ALIAS("hdaudio:v10EC0255r*a01*");
MODULE_ALIAS("hdaudio:v10EC0256r*a01*");
MODULE_ALIAS("hdaudio:v10EC0257r*a01*");
MODULE_ALIAS("hdaudio:v10EC0260r*a01*");
MODULE_ALIAS("hdaudio:v10EC0262r*a01*");
MODULE_ALIAS("hdaudio:v10EC0267r*a01*");
MODULE_ALIAS("hdaudio:v10EC0268r*a01*");
MODULE_ALIAS("hdaudio:v10EC0269r*a01*");
MODULE_ALIAS("hdaudio:v10EC0270r*a01*");
MODULE_ALIAS("hdaudio:v10EC0272r*a01*");
MODULE_ALIAS("hdaudio:v10EC0274r*a01*");
MODULE_ALIAS("hdaudio:v10EC0275r*a01*");
MODULE_ALIAS("hdaudio:v10EC0276r*a01*");
MODULE_ALIAS("hdaudio:v10EC0280r*a01*");
MODULE_ALIAS("hdaudio:v10EC0282r*a01*");
MODULE_ALIAS("hdaudio:v10EC0283r*a01*");
MODULE_ALIAS("hdaudio:v10EC0284r*a01*");
MODULE_ALIAS("hdaudio:v10EC0285r*a01*");
MODULE_ALIAS("hdaudio:v10EC0286r*a01*");
MODULE_ALIAS("hdaudio:v10EC0287r*a01*");
MODULE_ALIAS("hdaudio:v10EC0288r*a01*");
MODULE_ALIAS("hdaudio:v10EC0289r*a01*");
MODULE_ALIAS("hdaudio:v10EC0290r*a01*");
MODULE_ALIAS("hdaudio:v10EC0292r*a01*");
MODULE_ALIAS("hdaudio:v10EC0293r*a01*");
MODULE_ALIAS("hdaudio:v10EC0294r*a01*");
MODULE_ALIAS("hdaudio:v10EC0295r*a01*");
MODULE_ALIAS("hdaudio:v10EC0298r*a01*");
MODULE_ALIAS("hdaudio:v10EC0299r*a01*");
MODULE_ALIAS("hdaudio:v10EC0300r*a01*");
MODULE_ALIAS("hdaudio:v10EC0623r*a01*");
MODULE_ALIAS("hdaudio:v10EC0861r00100340a01*");
MODULE_ALIAS("hdaudio:v10EC0660r*a01*");
MODULE_ALIAS("hdaudio:v10EC0861r*a01*");
MODULE_ALIAS("hdaudio:v10EC0862r*a01*");
MODULE_ALIAS("hdaudio:v10EC0662r00100002a01*");
MODULE_ALIAS("hdaudio:v10EC0662r00100101a01*");
MODULE_ALIAS("hdaudio:v10EC0662r00100300a01*");
MODULE_ALIAS("hdaudio:v10EC0663r*a01*");
MODULE_ALIAS("hdaudio:v10EC0665r*a01*");
MODULE_ALIAS("hdaudio:v10EC0667r*a01*");
MODULE_ALIAS("hdaudio:v10EC0668r*a01*");
MODULE_ALIAS("hdaudio:v10EC0670r*a01*");
MODULE_ALIAS("hdaudio:v10EC0671r*a01*");
MODULE_ALIAS("hdaudio:v10EC0680r*a01*");
MODULE_ALIAS("hdaudio:v10EC0700r*a01*");
MODULE_ALIAS("hdaudio:v10EC0701r*a01*");
MODULE_ALIAS("hdaudio:v10EC0703r*a01*");
MODULE_ALIAS("hdaudio:v10EC0711r*a01*");
MODULE_ALIAS("hdaudio:v10EC0867r*a01*");
MODULE_ALIAS("hdaudio:v10EC0880r*a01*");
MODULE_ALIAS("hdaudio:v10EC0882r*a01*");
MODULE_ALIAS("hdaudio:v10EC0883r*a01*");
MODULE_ALIAS("hdaudio:v10EC0885r00100101a01*");
MODULE_ALIAS("hdaudio:v10EC0885r00100103a01*");
MODULE_ALIAS("hdaudio:v10EC0885r*a01*");
MODULE_ALIAS("hdaudio:v10EC0887r*a01*");
MODULE_ALIAS("hdaudio:v10EC0888r00100101a01*");
MODULE_ALIAS("hdaudio:v10EC0888r*a01*");
MODULE_ALIAS("hdaudio:v10EC0889r*a01*");
MODULE_ALIAS("hdaudio:v10EC0892r*a01*");
MODULE_ALIAS("hdaudio:v10EC0897r*a01*");
MODULE_ALIAS("hdaudio:v10EC0899r*a01*");
MODULE_ALIAS("hdaudio:v10EC0900r*a01*");
MODULE_ALIAS("hdaudio:v10EC0B00r*a01*");
MODULE_ALIAS("hdaudio:v10EC1168r*a01*");
MODULE_ALIAS("hdaudio:v10EC1220r*a01*");
MODULE_ALIAS("hdaudio:v19E58326r*a01*");

MODULE_INFO(srcversion, "C7EBF82DFC39F8F9F7009B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
