#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0xb4c64fad, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x2d0f8b13, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xd85bb90b, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x6401dce1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1106c80, "__pm_runtime_disable" },
	{ 0xbb4c4a20, "__pm_runtime_set_status" },
	{ 0x4df5d54c, "iio_trigger_unregister" },
	{ 0x6a46c836, "iio_triggered_buffer_cleanup" },
	{ 0xfd708996, "regulator_bulk_disable" },
	{ 0x6cfb09a4, "devm_iio_device_alloc" },
	{ 0xe97df947, "is_acpi_device_node" },
	{ 0xa9605b9e, "iio_read_mount_matrix" },
	{ 0x175b3640, "devm_regulator_bulk_get" },
	{ 0x8e330423, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x376c33a7, "iio_triggered_buffer_setup_ext" },
	{ 0xc2cfffe, "devm_request_threaded_irq" },
	{ 0xbd657858, "iio_device_id" },
	{ 0x7aa80b83, "__devm_iio_trigger_alloc" },
	{ 0x87ada734, "iio_trigger_register" },
	{ 0xa6ac5804, "pm_runtime_enable" },
	{ 0xc9dade82, "pm_runtime_set_autosuspend_delay" },
	{ 0x2fc23ba4, "__pm_runtime_use_autosuspend" },
	{ 0x6c6f18b7, "__iio_device_register" },
	{ 0xfef0fdaa, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e8b828f, "dev_err_probe" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x9d5a64c2, "iio_read_const_attr" },
	{ 0x74506f8e, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5da5759, "regmap_write" },
	{ 0x20ebfbe, "regmap_get_device" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x60ec6b09, "iio_get_time_ns" },
	{ 0x2c8dcb5b, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x53c2965b, "regmap_update_bits_base" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf2d33ba2, "__pm_runtime_suspend" },
	{ 0x94005f0e, "regmap_read" },
	{ 0xceb09b60, "iio_buffer_enabled" },
	{ 0xaf76430e, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbb0345a, "iio_device_get_current_mode" },
	{ 0x28054e0b, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd699a2fd, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x18b3d2ea, "iio_push_event" },
	{ 0xaa03a19d, "iio_trigger_notify_done" },
	{ 0x245471f8, "iio_device_unregister" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "CB5BF596FEB1B26CB0E974F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
