#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fc23ba4, "__pm_runtime_use_autosuspend" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x909f404e, "devm_nvmem_register" },
	{ 0x610ae7cf, "__video_register_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf2d33ba2, "__pm_runtime_suspend" },
	{ 0x1106c80, "__pm_runtime_disable" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x563983f5, "vb2_buffer_done" },
	{ 0xd08411bf, "kthread_stop" },
	{ 0xd5da5759, "regmap_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x714e0a41, "vb2_plane_vaddr" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0xc6c3e93b, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0x93888f1a, "video_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ba932da, "kthread_create_on_node" },
	{ 0x6cc8f13b, "wake_up_process" },
	{ 0x6e46b66, "vb2_ioctl_reqbufs" },
	{ 0x8ac76b2a, "vb2_ioctl_querybuf" },
	{ 0x8bf17e9c, "vb2_ioctl_qbuf" },
	{ 0xae67c462, "vb2_ioctl_dqbuf" },
	{ 0xff3dc508, "vb2_ioctl_create_bufs" },
	{ 0x4841c613, "vb2_ioctl_prepare_buf" },
	{ 0x8537b4, "vb2_ioctl_streamon" },
	{ 0xf49e86b9, "vb2_ioctl_streamoff" },
	{ 0x2b670330, "vb2_ops_wait_prepare" },
	{ 0x104e59e0, "vb2_ops_wait_finish" },
	{ 0xb8449e0c, "vb2_fop_read" },
	{ 0x65e2b105, "vb2_fop_poll" },
	{ 0x544b68b, "video_ioctl2" },
	{ 0xea3b3259, "vb2_fop_mmap" },
	{ 0xa4431bac, "v4l2_fh_open" },
	{ 0xe670494a, "vb2_fop_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf76430e, "regmap_bulk_read" },
	{ 0x53c2965b, "regmap_update_bits_base" },
	{ 0x20ebfbe, "regmap_get_device" },
	{ 0xff03649c, "devm_hwmon_device_register_with_info" },
	{ 0x4d2d2681, "i2c_register_driver" },
	{ 0x115ddfff, "v4l2_device_unregister" },
	{ 0x82b4122d, "regmap_exit" },
	{ 0x37a0cba, "kfree" },
	{ 0x1df20177, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4084908e, "i2c_del_driver" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x95d86d23, "i2c_get_match_data" },
	{ 0x8b71ad5, "__regmap_init_i2c" },
	{ 0xcae62d22, "v4l2_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8833e9cf, "vb2_vmalloc_memops" },
	{ 0x56511f6b, "vb2_queue_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb4c4a20, "__pm_runtime_set_status" },
	{ 0xa6ac5804, "pm_runtime_enable" },
	{ 0xc9dade82, "pm_runtime_set_autosuspend_delay" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-common,videobuf2-v4l2,videobuf2-vmalloc");

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "721F0D9ABAFFFFD73498686");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
