#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_timeout, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0x6b64bbb4, "_gpl");
SYMBOL_CRC(mei_reset, 0x14e4085f, "_gpl");
SYMBOL_CRC(mei_start, 0xad26dad8, "_gpl");
SYMBOL_CRC(mei_restart, 0x9dd43908, "_gpl");
SYMBOL_CRC(mei_stop, 0x5a17f128, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x9899ed1e, "_gpl");
SYMBOL_CRC(mei_device_init, 0xb5dc113a, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0xb3cf05bd, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x2b5477b5, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x0df6e141, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0xc2a65d77, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0xb36bffe4, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0x2e0090da, "_gpl");
SYMBOL_CRC(mei_register, 0xe1f4bcbb, "_gpl");
SYMBOL_CRC(mei_deregister, 0x5e47f709, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xb70ec89b, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0x718c09dd, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0x99bea78e, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0xac7fde90, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0xed562ee7, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0xc23b7ef4, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xcd689283, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0xcd4e7677, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x42da230f, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0x1478e9f2, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0xaa6d8699, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x0161c90c, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x3974f310, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x8ddc34fe, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x7daed6ef, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0xe800a677, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x67271cc3, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0xef551d32, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0xb2bb38a3, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0xa4b1e6ed, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0xdd0afe9f, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x6f3621cb, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0x030fe3a5, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0xd082a103, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0x176ed577, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x1da1a6cb, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x0c39cfd3, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0xf18baff1, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x4896c04d, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x202b9f1a, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0xfccc6fc2, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x1a2670ff, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x50ebc549, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb914e114, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0xe762ee81, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4a4a0493, "compat_ptr_ioctl" },
	{ 0x82bd7b3d, "cdev_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xcbcd8626, "perf_trace_run_bpf_submit" },
	{ 0x1467c61b, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x3b89e8ae, "simple_open" },
	{ 0x1388c9b9, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8107c125, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xd5985ad0, "fasync_helper" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x5f4aff0a, "driver_unregister" },
	{ 0xe56d2aba, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x31025999, "device_del" },
	{ 0xda379a07, "dmam_free_coherent" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x70f037ac, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a350cbd, "nonseekable_open" },
	{ 0xbced23a1, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x455c840f, "device_create_with_groups" },
	{ 0x1001c60a, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfac53124, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3015df59, "seq_puts" },
	{ 0xc339adb7, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xf2d33ba2, "__pm_runtime_suspend" },
	{ 0x1536c085, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x6f2851b9, "single_open" },
	{ 0x164071a7, "debugfs_create_dir" },
	{ 0xbf04549d, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf62817af, "driver_register" },
	{ 0x51b520da, "class_register" },
	{ 0x745dd0b1, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xb72c8f79, "cdev_del" },
	{ 0xc451a768, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29181a22, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7a6b8a85, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x6051d5ac, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb6cffb70, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2c0fad77, "dmam_alloc_attrs" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc425ab7, "kill_fasync" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe522f3a6, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf464d179, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77e92c14, "__module_get" },
	{ 0x509cd1c, "get_device" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4db6bba3, "debugfs_read_file_bool" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0x87398705, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x30ad5fdc, "debugfs_write_file_bool" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3B5AB04C3FC5482CCA379E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
