#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x64edadf, "pci_device_is_present" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x63ef2ae8, "pci_read_config_word" },
	{ 0x1eea697e, "napi_enable" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xa1f87d8, "register_netdev" },
	{ 0x204c1acc, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6ac56aa9, "eth_platform_get_mac_address" },
	{ 0xfe2a27b3, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6e3c69b, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcd35ac3f, "pci_iounmap" },
	{ 0x1a33ab9, "dca_unregister_notify" },
	{ 0xf2646c3, "netif_tx_stop_all_queues" },
	{ 0x514e6e94, "pci_restore_state" },
	{ 0x1368d78, "netif_tx_wake_queue" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xac34ecec, "dca_register_notify" },
	{ 0xded6c958, "dma_sync_single_for_cpu" },
	{ 0xfee10081, "devm_hwmon_device_register_with_groups" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0xd01d288b, "ptp_clock_event" },
	{ 0x3c61ad75, "netif_schedule_queue" },
	{ 0x891576b7, "__alloc_pages" },
	{ 0xf335c392, "dca3_get_tag" },
	{ 0xa622689e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x52417886, "ptp_clock_unregister" },
	{ 0x45b93908, "netif_rx" },
	{ 0xec9aa489, "__netdev_alloc_skb" },
	{ 0xaae40049, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f5e04c7, "dma_set_coherent_mask" },
	{ 0x40a21b0, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xd8b46171, "pci_enable_wake" },
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x574e2786, "driver_for_each_device" },
	{ 0x6942b9fe, "flow_rule_match_vlan" },
	{ 0x623705c5, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2da560e2, "napi_build_skb" },
	{ 0x2e4f0c29, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x10811402, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x573ed759, "__hw_addr_sync_dev" },
	{ 0xcc845b2e, "pci_disable_sriov" },
	{ 0xafb7459e, "netif_carrier_on" },
	{ 0xf659704c, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x86db37e0, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x530dbe13, "i2c_smbus_write_byte_data" },
	{ 0xd76b7ef0, "pci_disable_device" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x4d3c1726, "skb_add_rx_frag_netmem" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x4a180212, "xdp_master_redirect" },
	{ 0xe1790ba5, "napi_schedule_prep" },
	{ 0x703a6c14, "napi_consume_skb" },
	{ 0x90c61576, "pci_sriov_set_totalvfs" },
	{ 0x9140cfc, "napi_disable" },
	{ 0x1f9f5749, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1ae82b30, "i2c_smbus_read_byte_data" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7e0e029b, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x2803011b, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b3a5ea4, "__pm_runtime_idle" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xd4b1d449, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbf507ed9, "__tracepoint_xdp_exception" },
	{ 0x146ad499, "alloc_etherdev_mqs" },
	{ 0x11402646, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3c618c02, "pcie_capability_read_word" },
	{ 0x2aeb53ef, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x7ea9279f, "__skb_pad" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4ef8ac2c, "pcie_capability_write_word" },
	{ 0xa7e22ce, "bpf_prog_put" },
	{ 0xb55b0bf0, "skb_copy_bits" },
	{ 0x2bca264e, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3a923d73, "pci_request_selected_regions" },
	{ 0x216746a7, "pci_release_selected_regions" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x12bea67a, "pci_wake_from_d3" },
	{ 0xf2398e99, "skb_put" },
	{ 0x7c784f79, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a0e7464, "__napi_alloc_skb" },
	{ 0xdae49c1d, "pci_enable_device_mem" },
	{ 0x1ce694a, "dca_remove_requester" },
	{ 0x793ea486, "consume_skb" },
	{ 0x1c4cb0ac, "pci_iomap" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x498d0bf2, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x905c180a, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66610af9, "i2c_bit_add_bus" },
	{ 0x3009cf3c, "bpf_warn_invalid_xdp_action" },
	{ 0x688d20a7, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x75014091, "xdp_convert_zc_to_xdp_frame" },
	{ 0xa06e6a1, "xdp_features_set_redirect_target" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xe776f5ff, "__pci_register_driver" },
	{ 0xc26f33b2, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x4335c4ba, "pci_num_vf" },
	{ 0xe25fafd, "flow_rule_match_eth_addrs" },
	{ 0xf82047e2, "dev_trans_start" },
	{ 0xdcfb1586, "pci_disable_msi" },
	{ 0xe4894720, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0x9cbfe960, "xdp_do_redirect" },
	{ 0xc60a2b61, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x185fc8eb, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x21229b74, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3ae817dc, "xdp_rxq_info_unreg_mem_model" },
	{ 0x8c857823, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x137f1edc, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb469818f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c429ae7, "pskb_expand_head" },
	{ 0xb62b55c5, "dev_driver_string" },
	{ 0xa7fb7713, "dev_addr_mod" },
	{ 0x8c7901c4, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x25063f1e, "ptp_find_pin" },
	{ 0x727158eb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x4cc576b8, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x6491155e, "pm_schedule_suspend" },
	{ 0xf7acdd1f, "ndo_dflt_fdb_add" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc9e553fd, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x81a65f93, "__napi_schedule" },
	{ 0x498699a7, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xbbe9bc44, "__alloc_skb" },
	{ 0x5d5cf05d, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2263f818, "__free_pages" },
	{ 0x223cd20a, "__hw_addr_unsync_dev" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0x97c77ba6, "napi_gro_receive" },
	{ 0x64ab8bbf, "netif_device_attach" },
	{ 0xb845763b, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xe644bab2, "i2c_del_adapter" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7c66cb72, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e741b28, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x960c366a, "xdp_rxq_info_is_reg" },
	{ 0x46fe5010, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd7b04300, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4ea5d10, "ksize" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x947c30eb, "pci_enable_msi" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0x2e28bc7e, "softnet_data" },
	{ 0x14e2c8f5, "dca_add_requester" },
	{ 0xea2b1a11, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x80db0ee0, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1b0711cc, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x426125d4, "netif_set_real_num_rx_queues" },
	{ 0x8ea45029, "kfree_skb_reason" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "dca,i2c-algo-bit");

MODULE_ALIAS("pci:v00008086d00001F40sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001F41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001F45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001539sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001533sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001536sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001538sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000157Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000157Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001521sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001522sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001523sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001524sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000150Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000150Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001527sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001510sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001511sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001516sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000438sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000043Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000043Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000440sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000150Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001518sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000150Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001526sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000010D6sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF0E6A4E48B1412C02BDF2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
