#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0xf96c043e, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x67e08662, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x2f578769, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0xf5f995b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x45b93908, "netif_rx" },
	{ 0x9a27f14d, "mii_check_link" },
	{ 0xec9aa489, "__netdev_alloc_skb" },
	{ 0xf2398e99, "skb_put" },
	{ 0x727158eb, "eth_type_trans" },
	{ 0x1368d78, "netif_tx_wake_queue" },
	{ 0xb469818f, "netdev_err" },
	{ 0xa2a25d9, "devm_gpiod_get_optional" },
	{ 0xc217b586, "gpiod_set_consumer_name" },
	{ 0xb72ec222, "devm_regulator_get" },
	{ 0x2571b3df, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbbb87e22, "gpiod_set_value_cansleep" },
	{ 0xb880e242, "regulator_disable" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0xd418e6b, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb08bfb0f, "__mdiobus_register" },
	{ 0x48f921f2, "mdiobus_free" },
	{ 0x10811402, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2abaf22c, "mdiobus_unregister" },
	{ 0x185fc8eb, "netdev_warn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa1f87d8, "register_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x688d20a7, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x64ab8bbf, "netif_device_attach" },
	{ 0xc60a2b61, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xaae40049, "__dynamic_netdev_dbg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xfec5015c, "skb_dequeue" },
	{ 0x793ea486, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd4b1d449, "netdev_info" },
	{ 0x5d5cf05d, "netif_device_detach" },
	{ 0x26acdecf, "generic_mii_ioctl" },
	{ 0xa7fb7713, "dev_addr_mod" },
	{ 0x479f4eff, "mii_ethtool_set_link_ksettings" },
	{ 0xef597fa0, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0xe242323e, "mii_link_ok" },
	{ 0xc5b99205, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mii,libphy,eeprom_93cx6");


MODULE_INFO(srcversion, "7801BAE731E0660E42210DA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
