#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x430e51c6, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xf9097579, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xb256020f, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x6044c199, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xc2fe86a5, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x9d946513, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5675c9c, "phylink_limit_mac_speed" },
	{ 0x571e2006, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xb62b55c5, "dev_driver_string" },
	{ 0x659b23b8, "pinctrl_pm_select_default_state" },
	{ 0xa7fb7713, "dev_addr_mod" },
	{ 0x8c7901c4, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x727158eb, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbb4c4a20, "__pm_runtime_set_status" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x4cc576b8, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x17d139cf, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6986be68, "pm_wakeup_dev_event" },
	{ 0xc9e553fd, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x81a65f93, "__napi_schedule" },
	{ 0xa6ac5804, "pm_runtime_enable" },
	{ 0xaec1bad0, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x5d5cf05d, "netif_device_detach" },
	{ 0x33b552c8, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0x8ca05b26, "xpcs_create_mdiodev" },
	{ 0x97c77ba6, "napi_gro_receive" },
	{ 0x64ab8bbf, "netif_device_attach" },
	{ 0xb845763b, "xdp_features_clear_redirect_target" },
	{ 0x14f7bc5d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x6a00e7ea, "netdev_pick_tx" },
	{ 0xee06166d, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xdd1103f, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x960c366a, "xdp_rxq_info_is_reg" },
	{ 0x56f84ef0, "devm_alloc_etherdev_mqs" },
	{ 0x46fe5010, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd7b04300, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x6e76a61b, "dev_open" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xb71f6463, "xpcs_destroy" },
	{ 0xc142d9e9, "pinctrl_pm_select_sleep_state" },
	{ 0x1d6e6391, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xea2b1a11, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x80db0ee0, "ptp_clock_register" },
	{ 0xa95cfa77, "xp_dma_sync_for_cpu_slow" },
	{ 0x99ed2f7d, "xsk_tx_peek_desc" },
	{ 0x1b0711cc, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x426125d4, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xd015a789, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x8107c125, "debugfs_remove" },
	{ 0x1eea697e, "napi_enable" },
	{ 0x7bff5a21, "xsk_clear_rx_need_wakeup" },
	{ 0x3a8161e0, "xpcs_get_interfaces" },
	{ 0x420567d4, "xsk_uses_need_wakeup" },
	{ 0xa1f87d8, "register_netdev" },
	{ 0x6b362590, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x48f921f2, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe3c9a9d, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6e3c69b, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd18ad2fd, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x1368d78, "netif_tx_wake_queue" },
	{ 0x3f1e920, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xded6c958, "dma_sync_single_for_cpu" },
	{ 0x6aa48afb, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x85d94bb8, "flow_rule_match_ports" },
	{ 0x82de736a, "phylink_fwnode_phy_connect" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd01d288b, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x3c61ad75, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe1a6d084, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x52417886, "ptp_clock_unregister" },
	{ 0x60a2b5c5, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x280dd6d9, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaae40049, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbab6a1de, "xdp_return_frame_rx_napi" },
	{ 0xb604312a, "netdev_alert" },
	{ 0x9f5e04c7, "dma_set_coherent_mask" },
	{ 0xbced23a1, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x2abaf22c, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x5c46027e, "debugfs_rename" },
	{ 0x1001c60a, "debugfs_create_file" },
	{ 0x31ca4905, "xsk_set_tx_need_wakeup" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xff233f63, "xp_set_rxq_info" },
	{ 0x6942b9fe, "flow_rule_match_vlan" },
	{ 0x623705c5, "xdp_rxq_info_unreg" },
	{ 0x9eea2907, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2e4f0c29, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x10811402, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x22097304, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xafb7459e, "netif_carrier_on" },
	{ 0xf659704c, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xb08bfb0f, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xdcc33c54, "xp_free" },
	{ 0xc339adb7, "single_release" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x4e8b828f, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x4d3c1726, "skb_add_rx_frag_netmem" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x4a180212, "xdp_master_redirect" },
	{ 0x3095d84b, "fwnode_handle_put" },
	{ 0xb13f4e21, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xe1790ba5, "napi_schedule_prep" },
	{ 0x9140cfc, "napi_disable" },
	{ 0x1f9f5749, "dev_kfree_skb_any_reason" },
	{ 0x414072a8, "eth_header_parse_protocol" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6f2851b9, "single_open" },
	{ 0x1106c80, "__pm_runtime_disable" },
	{ 0x164071a7, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b3a5ea4, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1981176, "ethtool_op_get_ts_info" },
	{ 0x1c46c600, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd23f08fd, "__dev_fwnode" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xd4b1d449, "netdev_info" },
	{ 0x199b3a8, "page_pool_put_unrefed_page" },
	{ 0x939cb7f8, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd418e6b, "mdiobus_alloc_size" },
	{ 0xbf507ed9, "__tracepoint_xdp_exception" },
	{ 0xd8adc7db, "xsk_tx_completed" },
	{ 0x70de51b7, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28d708e6, "xp_alloc" },
	{ 0x2aeb53ef, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa7e22ce, "bpf_prog_put" },
	{ 0x2750fb7f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd63277c0, "xp_dma_map" },
	{ 0xb55b0bf0, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x89285c02, "eth_mac_addr" },
	{ 0xf2398e99, "skb_put" },
	{ 0x7c784f79, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7a0e7464, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe6989fb6, "netdev_update_features" },
	{ 0x793ea486, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x498d0bf2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0x3009cf3c, "bpf_warn_invalid_xdp_action" },
	{ 0x688d20a7, "unregister_netdev" },
	{ 0x75014091, "xdp_convert_zc_to_xdp_frame" },
	{ 0xa06e6a1, "xdp_features_set_redirect_target" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc26f33b2, "dma_sync_single_for_device" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xae730404, "get_device_system_crosststamp" },
	{ 0xe4894720, "ptp_clock_index" },
	{ 0x7ab1e4b2, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xf464d179, "seq_lseek" },
	{ 0x6d6719, "page_pool_destroy" },
	{ 0x9cbfe960, "xdp_do_redirect" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x185fc8eb, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x461d9e81, "flow_rule_match_ipv4_addrs" },
	{ 0x3ae817dc, "xdp_rxq_info_unreg_mem_model" },
	{ 0x8c857823, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb469818f, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "DB33C58D3A4675F3578DC42");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
