#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f72b912, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb2e7326a, "phy_restore_page" },
	{ 0x3fe0a283, "phy_write_paged" },
	{ 0x21b5ae77, "mdiobus_read" },
	{ 0x6f2326ed, "phy_modify" },
	{ 0x1049caec, "genphy_soft_reset" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x258a4289, "ethnl_cable_test_pulse" },
	{ 0xac0936ae, "ethnl_cable_test_step" },
	{ 0xdace55d6, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xf45c7692, "phy_save_page" },
	{ 0x57ff1c96, "phy_trigger_machine" },
	{ 0xf36708a9, "phy_error" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0xff03649c, "devm_hwmon_device_register_with_info" },
	{ 0xa430e434, "phy_drivers_unregister" },
	{ 0x4ced26bc, "mdiobus_write" },
	{ 0xed7badd3, "genphy_c45_ethtool_get_eee" },
	{ 0xd0f2bcea, "phy_config_aneg" },
	{ 0x705ef1e6, "phy_sfp_probe" },
	{ 0x9f2aa7f2, "genphy_read_lpa" },
	{ 0xf87f9793, "phy_resolve_aneg_pause" },
	{ 0xfc3f4b08, "genphy_update_link" },
	{ 0xe0aa8cfd, "genphy_read_status_fixed" },
	{ 0x1fb06da9, "genphy_suspend" },
	{ 0xfa8d5f03, "genphy_resume" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xad08d8cd, "phy_modify_changed" },
	{ 0x66da248, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4ffe7730, "genphy_check_and_restart_aneg" },
	{ 0xc41c76c4, "genphy_setup_forced" },
	{ 0x91d6431f, "phy_modify_paged_changed" },
	{ 0xcaa627bd, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8d2f0e48, "ethnl_cable_test_result" },
	{ 0x8af90676, "ethnl_cable_test_fault_length" },
	{ 0x91050b30, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x40f51e30, "phy_drivers_register" },
	{ 0xbbbfd4fe, "phy_read_paged" },
	{ 0x81c76de2, "phy_modify_paged" },
	{ 0x73756c81, "__mdiobus_read" },
	{ 0xa4ef68e9, "phy_select_page" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "0ABF8C409174FA3B3AC2A85");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
