#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x477e57a4, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x3cb77d12, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xb3e78866, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x54a5dd5f, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xa3e267ba, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x6fe99c3b, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x46c576ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9639c353, "mt76x02_mac_shared_key_setup" },
	{ 0x55299a74, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37a64f5e, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0xa7b7719d, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xd539aa75, "ieee80211_queue_delayed_work" },
	{ 0xa02de6e4, "mt76_eeprom_init" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xd476e792, "mt76x02_mac_setaddr" },
	{ 0x77d2d242, "mt76_register_device" },
	{ 0x6d9b398e, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c65f4d0, "mt76x02_phy_set_band" },
	{ 0xee2a68e3, "mt76_set_channel" },
	{ 0xfdcf4fee, "mt76x02_init_device" },
	{ 0x5ec0e403, "ieee80211_wake_queues" },
	{ 0x916f27cc, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x53a024f, "mt76x02_phy_set_rxpath" },
	{ 0xbc0690a7, "mt76x02_edcca_init" },
	{ 0xe9f44588, "mt76_eeprom_override" },
	{ 0x5815e692, "mt76x02_get_lna_gain" },
	{ 0xd2465a6a, "mt76x02_init_debugfs" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2b761dae, "ieee80211_stop_queues" },
	{ 0xd47c1e8f, "mt76x02_mac_cc_reset" },
	{ 0xc00dff4d, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2e290f25, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdeabde7, "____mt76_poll_msec" },
	{ 0x463418b9, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9f64ae35, "mt76x02_config_mac_addr_list" },
	{ 0x7b90898d, "mt76_get_sar_power" },
	{ 0x25310e3b, "mt76x02_eeprom_copy" },
	{ 0xb907399b, "mt76x02_mcu_calibrate" },
	{ 0x4c944327, "mt76x02_mcu_function_select" },
	{ 0xf217e423, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x9750ba29, "mt76x02_mac_wcid_setup" },
	{ 0x407ab035, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x620393d5, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x12417d9b, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94828bbf, "mt76_init_sar_power" },
	{ 0x821ab6d0, "mt76x02_phy_adjust_vga_gain" },
	{ 0xf78b34e5, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
