#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x0dfbb5cd, "");
SYMBOL_CRC(ntb_unregister_client, 0xbc4d7158, "");
SYMBOL_CRC(ntb_register_device, 0xad6c292b, "");
SYMBOL_CRC(ntb_unregister_device, 0x4f261151, "");
SYMBOL_CRC(ntb_set_ctx, 0x4ed80bcf, "");
SYMBOL_CRC(ntb_clear_ctx, 0xeebcdb75, "");
SYMBOL_CRC(ntb_link_event, 0x18c48c06, "");
SYMBOL_CRC(ntb_db_event, 0x746e8715, "");
SYMBOL_CRC(ntb_msg_event, 0x54aaaf88, "");
SYMBOL_CRC(ntb_default_port_number, 0xdb357c31, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x16c267fc, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xf20f4954, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x97f68272, "");
SYMBOL_CRC(ntb_msi_init, 0xf653bdb6, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x3855b06e, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x6a5207b1, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x55c0f42c, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x40379277, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x6e797ed3, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x1e5a4854, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6cffb70, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x9c31bb4a, "devm_iounmap" },
	{ 0x5ad3a98f, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc452fc06, "devres_destroy" },
	{ 0x4c8b013a, "msi_unlock_descs" },
	{ 0x9a718f40, "devm_ioremap" },
	{ 0x509cd1c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x101264a3, "msi_lock_descs" },
	{ 0x8a4c0490, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb914e114, "put_device" },
	{ 0xf8c91ad0, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1467c61b, "bus_unregister" },
	{ 0x7f7e9f87, "devm_kfree" },
	{ 0x35870609, "irq_get_irq_data" },
	{ 0xfee89082, "__devres_alloc_node" },
	{ 0x5f4aff0a, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x843d4d68, "device_register" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x67f09c50, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x26ce4ffa, "msi_next_desc" },
	{ 0xf62817af, "driver_register" },
	{ 0xc451a768, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xc2cfffe, "devm_request_threaded_irq" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
