#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4f45cfd, "ishtp_get_ishtp_device" },
	{ 0xef9b5ee2, "ishtp_set_tx_ring_size" },
	{ 0xf40cd361, "ishtp_set_rx_ring_size" },
	{ 0x3c5f3b14, "ishtp_fw_cl_get_client" },
	{ 0x5f9b0501, "ishtp_get_fw_client_id" },
	{ 0x4fbb2178, "ishtp_cl_set_fw_client_id" },
	{ 0xa9cb4cf9, "ishtp_set_connection_state" },
	{ 0x3960f257, "ishtp_cl_connect" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0x6504039d, "ishtp_cl_unlink" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x3f29ad76, "ishtp_cl_allocate" },
	{ 0xb1badd7d, "ishtp_set_drvdata" },
	{ 0x660054b9, "ishtp_set_client_data" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf0a47f8, "acpi_dev_get_first_match_dev" },
	{ 0x9371d494, "ishtp_register_event_cb" },
	{ 0x8f7e3176, "acpi_dev_clear_dependencies" },
	{ 0xa4028b10, "ishtp_cl_disconnect" },
	{ 0xa8718e73, "ishtp_cl_flush_queues" },
	{ 0xa218927f, "ishtp_cl_free" },
	{ 0xcecf4340, "ishtp_cl_driver_unregister" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x6db8b14, "ishtp_get_drvdata" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x141937e, "ishtp_cl_io_rb_recycle" },
	{ 0xc7c7447, "ishtp_cl_rx_get_rb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb914e114, "put_device" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0xa53e7b99, "ishtp_dev_to_cl_device" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6c218bed, "ishtp_cl_driver_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f36fba8, "ishtp_cl_send" },
	{ 0x4c7cd1f8, "ishtp_device" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8e8230c0, "ishtp_get_client_data" },
	{ 0x4d9e723d, "ishtp_cl_link" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "intel-ishtp");

MODULE_ALIAS("ishtp:{6A19CC4B-D760-4DE3-B14D-F25EBD0FBCD9}");

MODULE_INFO(srcversion, "87D381D2A459D8FA600D573");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
