#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x137f1edc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb62b55c5, "dev_driver_string" },
	{ 0x2eb743f0, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xc5086e7, "iscsi_eh_device_reset" },
	{ 0xd3bb891d, "iscsi_register_transport" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x65c9f019, "scsi_host_get" },
	{ 0xa916b694, "strnlen" },
	{ 0xe9d9fee8, "iscsi_session_failure" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x654d9b3f, "iscsi_set_param" },
	{ 0x55cf9fd8, "iscsi_boot_create_host_kset" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xfabd4dd0, "scsi_host_put" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x75dbce4d, "iscsi_destroy_endpoint" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x4bc7fbe7, "iscsi_conn_get_param" },
	{ 0xa00b3275, "iscsi_complete_scsi_task" },
	{ 0x7767a46c, "iscsi_host_free" },
	{ 0x7244085f, "iscsi_put_task" },
	{ 0xa4896741, "iscsi_conn_teardown" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xda34feee, "iscsi_session_get_param" },
	{ 0xb3143da2, "iscsi_conn_send_pdu" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdb33838b, "iscsi_boot_create_ethernet" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1494d8f5, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x1933480e, "iscsi_conn_unbind" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x514e6e94, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x2c6a7c4e, "pci_alloc_irq_vectors_affinity" },
	{ 0x60dc2fff, "scsi_is_host_device" },
	{ 0xa622689e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9cb72849, "iscsi_lookup_endpoint" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x9f5e04c7, "dma_set_coherent_mask" },
	{ 0x4fd8a5e3, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x5ed050f, "iscsi_host_add" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x42d89c80, "iscsi_session_teardown" },
	{ 0x126d0d00, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe030b6b8, "iscsi_unregister_transport" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x419bcb69, "pci_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa05680a8, "iscsi_conn_stop" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x86db37e0, "pci_disable_msix" },
	{ 0xd76b7ef0, "pci_disable_device" },
	{ 0x8143e0e2, "iscsi_get_task" },
	{ 0x3d708bba, "iscsi_queuecommand" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xf4923ad0, "__iscsi_put_task" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0xf39821e1, "_dev_printk" },
	{ 0xce6ffe48, "iscsi_boot_create_target" },
	{ 0x395a9159, "iscsi_host_remove" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7dca56e, "pci_free_irq_vectors" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf5b875a5, "iscsi_eh_session_reset" },
	{ 0xfbb92f6f, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd836e75f, "scsi_dma_map" },
	{ 0x96bddd4d, "iscsi_boot_destroy_kset" },
	{ 0x11402646, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa7ce8b9, "iscsi_get_port_state_name" },
	{ 0xfd0df16c, "iscsi_host_for_each_session" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2bca264e, "param_ops_uint" },
	{ 0x32a337ef, "dma_pool_create" },
	{ 0x8afa99d7, "iscsi_conn_setup" },
	{ 0xcba8b212, "pci_enable_device" },
	{ 0xceed97de, "iscsi_session_recovery_timedout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x22addf22, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9aa05576, "iscsi_get_port_speed_name" },
	{ 0xb2398363, "pci_dev_put" },
	{ 0x8a8e3eea, "iscsi_put_endpoint" },
	{ 0xbedd7e02, "iscsi_target_alloc" },
	{ 0xc515212b, "__iscsi_complete_pdu" },
	{ 0x844a7657, "iscsi_conn_bind" },
	{ 0xf323924c, "iscsi_host_get_param" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x78cb8ee9, "iscsi_session_setup" },
	{ 0x96848186, "scnprintf" },
	{ 0xe776f5ff, "__pci_register_driver" },
	{ 0xcf4a8d23, "iscsi_boot_create_initiator" },
	{ 0xedc03953, "iounmap" },
	{ 0x3fdb4e62, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd780c278, "scsi_dma_unmap" },
	{ 0xb74ac5a8, "iscsi_create_iface" },
	{ 0x37a0cba, "kfree" },
	{ 0xbcf93f3a, "iscsi_eh_abort" },
	{ 0x1cafd907, "iscsi_create_endpoint" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x21229b74, "pci_set_power_state" },
	{ 0xe7c30e50, "iscsi_eh_cmd_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0x92777890, "pci_irq_vector" },
	{ 0x8a575d6b, "iscsi_destroy_iface" },
	{ 0x256ad944, "iscsi_conn_failure" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_transport_iscsi,scsi_mod,iscsi_boot_sysfs");

MODULE_ALIAS("pci:v000019A2d00000212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000702sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000703sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000712sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000722sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0261911FDE564698ACFB297");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
