#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0x63d1fc0e, "");
SYMBOL_CRC(configfs_depend_item, 0xd5a3b159, "");
SYMBOL_CRC(configfs_undepend_item, 0xdc2be3db, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0x29391de6, "");
SYMBOL_CRC(configfs_register_group, 0x0ab7ab9b, "");
SYMBOL_CRC(configfs_unregister_group, 0x1d38efa5, "");
SYMBOL_CRC(configfs_register_default_group, 0xb15423f2, "");
SYMBOL_CRC(configfs_unregister_default_group, 0x5c449fca, "");
SYMBOL_CRC(configfs_register_subsystem, 0xb8d02f0d, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0xf7b33b44, "");
SYMBOL_CRC(config_item_set_name, 0x6321ed4c, "");
SYMBOL_CRC(config_item_init_type_name, 0xd5d6bf89, "");
SYMBOL_CRC(config_group_init_type_name, 0x7d74609d, "");
SYMBOL_CRC(config_item_get, 0x372ef572, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x4bef0095, "");
SYMBOL_CRC(config_item_put, 0xfd00b4f7, "");
SYMBOL_CRC(config_group_init, 0x0342e895, "");
SYMBOL_CRC(config_group_find_item, 0x2879f79c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85d9e0b0, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xec94d9f4, "path_put" },
	{ 0x145c4921, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e918eef, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfd71cc42, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x377e7850, "simple_setattr" },
	{ 0x269fd5b3, "simple_unlink" },
	{ 0x97f6e883, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe762ee81, "module_put" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb53119cf, "kmem_cache_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xff732b35, "kill_litter_super" },
	{ 0xfb578fc5, "memset" },
	{ 0x6a39d9ee, "kern_path" },
	{ 0x3518db1a, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53825f0d, "ram_aops" },
	{ 0x4a1274d5, "d_delete" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x51df16e5, "generic_read_dir" },
	{ 0x46abbc07, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x481de959, "inode_set_ctime_current" },
	{ 0xcb082179, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x95946431, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xf2e95225, "generic_delete_inode" },
	{ 0xd7436d13, "_copy_from_iter" },
	{ 0x20310246, "simple_release_fs" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x30fc7434, "get_tree_single" },
	{ 0x754d539c, "strlen" },
	{ 0x83789a5e, "inode_permission" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbf04549d, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x547b2bac, "simple_pin_fs" },
	{ 0xdc9e47fc, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x6e231562, "__d_drop" },
	{ 0x4d805d6, "simple_rmdir" },
	{ 0x7a6b8a85, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xfb09b391, "d_instantiate" },
	{ 0x79c94c8d, "_copy_to_iter" },
	{ 0x90ed7011, "free_inode_nonrcu" },
	{ 0xa21e86b1, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x52cd8f35, "unregister_filesystem" },
	{ 0x2389321c, "d_alloc_name" },
	{ 0x696eb2a, "simple_statfs" },
	{ 0x1f9c5900, "d_make_root" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x46a63e27, "always_delete_dentry" },
	{ 0xefbd8928, "fsnotify" },
	{ 0xb8e114e6, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xde2c6805, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xe968cb3e, "iput" },
	{ 0x791b19f8, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xebfc0114, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0x59973839, "register_filesystem" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2DBFCCAE04CA09FBCC0CD13");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
