#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5f3a509, "unlock_two_nondirectories" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd3fe420e, "__fscrypt_prepare_rename" },
	{ 0x9b85fd78, "dquot_resume" },
	{ 0x1982d673, "bpf_trace_run5" },
	{ 0x27253ee9, "bdev_fput" },
	{ 0x6c920f48, "setattr_copy" },
	{ 0xb2b9765a, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x477f0218, "jbd2_fc_begin_commit" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7fc843f0, "write_cache_pages" },
	{ 0x79e4568e, "file_update_time" },
	{ 0x9bce7f1b, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0b52e3f, "fscrypt_ioctl_set_policy" },
	{ 0xba4260b8, "set_nlink" },
	{ 0xb53119cf, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xac630d8f, "security_inode_init_security" },
	{ 0x34f030e1, "seq_putc" },
	{ 0x26c054b0, "fscrypt_decrypt_bio" },
	{ 0x4e590b02, "jbd2_journal_revoke" },
	{ 0xbd6841d4, "crc16" },
	{ 0xee3bf6e9, "from_kgid" },
	{ 0xf274a36a, "iomap_swapfile_activate" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0xc3a90e17, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdd8ac6df, "__fscrypt_encrypt_symlink" },
	{ 0xf2bd3fb8, "folio_wait_writeback" },
	{ 0x47204aaa, "jbd2_journal_start_commit" },
	{ 0xafd0c251, "bdev_freeze" },
	{ 0xf05526c5, "blkdev_issue_zeroout" },
	{ 0x1166835f, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0xc0a4fe69, "kobject_init_and_add" },
	{ 0x2e772254, "crypto_shash_update" },
	{ 0x59397e35, "from_vfsgid" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x77ef0756, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0x48621a1, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7e4d55c6, "dax_writeback_mapping_range" },
	{ 0xfdf421be, "jbd2_trans_will_send_data_barrier" },
	{ 0xa1745947, "folio_wait_stable" },
	{ 0x7f8f4306, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd0b76f02, "d_obtain_alias" },
	{ 0x4dd457a6, "file_modified" },
	{ 0x9109e70b, "posix_acl_chmod" },
	{ 0xd08411bf, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x50824690, "__bread_gfp" },
	{ 0x9e1cfcec, "from_kprojid" },
	{ 0xcde7a36c, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc2456f4b, "fscrypt_put_encryption_info" },
	{ 0xc6c3e93b, "freezing_slow_path" },
	{ 0xaa73e80, "folio_end_read" },
	{ 0x866d8ef0, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4a46d42c, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x9820d2c8, "dax_layout_busy_page" },
	{ 0xfb4f9563, "iomap_bmap" },
	{ 0xc452212c, "utf8_strncasecmp" },
	{ 0x9ac10bbc, "__folio_start_writeback" },
	{ 0x1757a547, "bpf_trace_run1" },
	{ 0xcf24b9d3, "set_task_ioprio" },
	{ 0x58d0283a, "folio_end_writeback" },
	{ 0x29650daf, "fscrypt_d_revalidate" },
	{ 0x4a536af5, "jbd2_journal_dirty_metadata" },
	{ 0xd0181eb9, "proc_mkdir" },
	{ 0x133bdb0e, "from_kuid" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0781247, "jbd2_journal_try_to_free_buffers" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa93253ab, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe5b881cc, "jbd2_transaction_committed" },
	{ 0x91db1511, "iomap_fiemap" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xb66a18dc, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b60b3ab, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c46cb20, "filemap_get_folios" },
	{ 0xd2a0c17d, "make_kgid" },
	{ 0x6b326810, "invalidate_bdev" },
	{ 0x65de7523, "fscrypt_zeroout_range" },
	{ 0xc8dc9536, "jbd2_journal_wipe" },
	{ 0xece784c2, "rb_first" },
	{ 0x43a37c48, "fscrypt_drop_inode" },
	{ 0xd24d11b0, "wbc_account_cgroup_owner" },
	{ 0x14f944, "from_kgid_munged" },
	{ 0xc5e2beb5, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xa470a528, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbfae9e07, "utf8_validate" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf54bccb7, "dax_finish_sync_fault" },
	{ 0xfe8937bb, "dquot_get_dqblk" },
	{ 0x4ba932da, "kthread_create_on_node" },
	{ 0xacd81eb3, "jbd2_inode_cache" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x852e8573, "block_read_full_folio" },
	{ 0xbb61d912, "jbd2_fc_end_commit" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0xff9d1289, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xb44a2927, "fscrypt_free_bounce_page" },
	{ 0x75046562, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99cddb05, "__dquot_alloc_space" },
	{ 0x737bbe91, "fsverity_verify_bio" },
	{ 0x44d0c4f1, "generic_encode_ino32_fh" },
	{ 0x6492538, "noop_direct_IO" },
	{ 0x9b75aa8b, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb7d9cefc, "__fscrypt_inode_uses_inline_crypto" },
	{ 0xadcb8808, "__fscrypt_prepare_readdir" },
	{ 0x29dca8c2, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0xd128fc6e, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0x51df16e5, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x752b0ca3, "kobject_del" },
	{ 0x6e078f5f, "d_instantiate_new" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0x5bdad93a, "__dquot_free_space" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5434ffb7, "fs_param_is_blockdev" },
	{ 0x81bdb3b, "jbd2_fc_wait_bufs" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x212f139e, "generic_buffers_fsync_noflush" },
	{ 0xb39f53b9, "init_user_ns" },
	{ 0xb8ada694, "file_path" },
	{ 0x319c8741, "fscrypt_ioctl_add_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x18bf00c2, "fscrypt_fname_disk_to_usr" },
	{ 0x481de959, "inode_set_ctime_current" },
	{ 0xcb082179, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x92e8e9ab, "fsverity_enqueue_verify_work" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x802f4ee6, "__folio_put" },
	{ 0x4829cf6b, "fscrypt_enqueue_decrypt_work" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x5d56f3c7, "remove_proc_entry" },
	{ 0xa1411ffe, "get_tree_bdev" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4595e03b, "fscrypt_ioctl_get_policy" },
	{ 0x9f0a327a, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6585a74d, "seq_printf" },
	{ 0x95946431, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x225897a0, "find_inode_by_ino_rcu" },
	{ 0x4b211322, "touch_atime" },
	{ 0xc0a15625, "__percpu_down_read" },
	{ 0x2df8dbbd, "jbd2_journal_force_commit" },
	{ 0xfe93f680, "__lock_buffer" },
	{ 0xfb92498e, "tag_pages_for_writeback" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x26897b52, "mb_cache_entry_get" },
	{ 0x5b5f37ce, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x10a32f97, "posix_acl_update_mode" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0x69a2e41d, "__folio_lock" },
	{ 0xec2714c4, "dquot_quota_on_mount" },
	{ 0xa1cafc3d, "filemap_dirty_folio" },
	{ 0x1f13c059, "fs_holder_ops" },
	{ 0xfb683498, "pagecache_get_page" },
	{ 0x5ed91265, "blkdev_issue_flush" },
	{ 0xbab58b58, "is_bad_inode" },
	{ 0x3015df59, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x45294ed5, "fscrypt_set_bio_crypt_ctx" },
	{ 0xf59efb99, "rcuwait_wake_up" },
	{ 0xc3a5bbf8, "dquot_mark_dquot_dirty" },
	{ 0xae43018, "fscrypt_prepare_symlink" },
	{ 0xe4b8acd7, "block_is_partially_uptodate" },
	{ 0xc7d34d1d, "dquot_get_next_id" },
	{ 0xf35c1ff4, "file_bdev" },
	{ 0x83a665a6, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x277b0dba, "generic_fh_to_parent" },
	{ 0x7529edc, "__fs_parse" },
	{ 0x47cbb530, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xac408fc2, "end_buffer_write_sync" },
	{ 0x7280e004, "dget_parent" },
	{ 0x1cd6598c, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xbeda802d, "proc_create_single_data" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xe4967e1e, "inode_io_list_del" },
	{ 0xd1cd0990, "jbd2_journal_lock_updates" },
	{ 0xf26705e1, "filemap_write_and_wait_range" },
	{ 0x30e6525f, "jbd2_journal_free_reserved" },
	{ 0x8be39f81, "dquot_acquire" },
	{ 0xb9365716, "dax_zero_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5b35637b, "generic_file_llseek_size" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x56bbd349, "jbd2_journal_errno" },
	{ 0x57aef0be, "fscrypt_prepare_new_inode" },
	{ 0x4af6132f, "fsverity_ioctl_measure" },
	{ 0x54944304, "fscrypt_limit_io_blocks" },
	{ 0x24a7c19f, "generic_write_checks" },
	{ 0x3fb6c844, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xaf42d695, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa4bf342e, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xf76fb625, "fscrypt_get_symlink" },
	{ 0x65e71146, "dqput" },
	{ 0xc505b16d, "dquot_quotactl_sysfile_ops" },
	{ 0x349cba85, "strchr" },
	{ 0xf8ef8dec, "kmem_cache_alloc_lru" },
	{ 0x571ffacf, "filemap_fault" },
	{ 0x81e9b5b1, "crypto_alloc_shash" },
	{ 0xab6b967, "dquot_writeback_dquots" },
	{ 0xc48e477a, "d_invalidate" },
	{ 0x1245ede3, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x123c3fe2, "dquot_get_next_dqblk" },
	{ 0x94f331bd, "make_bad_inode" },
	{ 0x9cb61db0, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x5fb5a5fb, "jbd2_wait_inode_data" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf50ede9f, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0x8b4ae8f1, "dquot_load_quota_inode" },
	{ 0x8ba651ef, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc3b62f39, "sb_min_blocksize" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x64ea0baa, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe93a490a, "iomap_seek_data" },
	{ 0x8f8b2f90, "jbd2_journal_flush" },
	{ 0x50c44a34, "fscrypt_free_inode" },
	{ 0x9099f82f, "jbd2_fc_end_commit_fallback" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x6e02ab63, "fscrypt_has_permitted_context" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x18dbd7ef, "dquot_destroy" },
	{ 0x1951e9d, "iget_failed" },
	{ 0x21d20bb7, "fscrypt_symlink_getattr" },
	{ 0xb62fb957, "dquot_alloc" },
	{ 0xabae9169, "fs_bio_set" },
	{ 0xdc9e47fc, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x34236fb7, "d_path" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2d7f992d, "blkdev_issue_discard" },
	{ 0xa7234dd1, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4bf0f499, "dquot_commit" },
	{ 0xfc578865, "truncate_inode_pages" },
	{ 0x72d8512e, "percpu_free_rwsem" },
	{ 0x51bea002, "bh_uptodate_or_lock" },
	{ 0x42000939, "inode_init_owner" },
	{ 0x4fa472be, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x82802d1d, "setattr_prepare" },
	{ 0xd3ca5b1, "vfs_fsync_range" },
	{ 0x3de32222, "iget_locked" },
	{ 0x7ae1fb9, "shrinker_alloc" },
	{ 0xe865c86b, "generic_set_sb_d_ops" },
	{ 0xaecac311, "fscrypt_dio_supported" },
	{ 0x7808858f, "clear_nlink" },
	{ 0x8a4ad7e1, "jbd2_complete_transaction" },
	{ 0xad5e72a3, "file_check_and_advance_wb_err" },
	{ 0xbfa26e60, "filemap_flush" },
	{ 0x75f5dbaf, "filemap_get_folios_tag" },
	{ 0xd9cec68e, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xfb09b391, "d_instantiate" },
	{ 0x46eef97b, "fsverity_ioctl_enable" },
	{ 0x3de968b1, "pagecache_isize_extended" },
	{ 0x295f085c, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa04dd8e5, "blk_start_plug" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0xc894aab1, "clear_inode" },
	{ 0x38967a58, "inode_to_bdi" },
	{ 0x6051d5ac, "bpf_trace_run4" },
	{ 0xf903859b, "iocb_bio_iopoll" },
	{ 0xbca3142c, "dquot_set_dqinfo" },
	{ 0x92a8edb4, "dquot_commit_info" },
	{ 0x29e96dcc, "jbd2_journal_invalidate_folio" },
	{ 0x3f96184a, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x871d7583, "generic_fh_to_dentry" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x1e3432f5, "jbd2_submit_inode_data" },
	{ 0x8074183f, "dquot_disable" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3a6dd97, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x3409a69c, "dquot_release" },
	{ 0xea8b0d71, "fs_param_is_string" },
	{ 0x3599aac7, "__folio_batch_release" },
	{ 0xa7478846, "dquot_free_inode" },
	{ 0x4f22d190, "folio_unlock" },
	{ 0x1156ae4, "utf8_strncasecmp_folded" },
	{ 0xdc21a49e, "set_blocksize" },
	{ 0x50d9185f, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xaf490802, "fscrypt_parse_test_dummy_encryption" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa21e86b1, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x860a6f03, "filemap_map_pages" },
	{ 0xec3a861e, "jbd2_journal_forget" },
	{ 0x168e856c, "jbd2__journal_restart" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x529683a6, "try_to_writeback_inodes_sb" },
	{ 0x5dc08b75, "jbd2_journal_stop" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0xeb2fe457, "dquot_get_state" },
	{ 0xa5778e90, "init_special_inode" },
	{ 0x9c4460eb, "fscrypt_fname_siphash" },
	{ 0xc4d9677d, "fs_dax_get_by_bdev" },
	{ 0x52cd8f35, "unregister_filesystem" },
	{ 0x818e96c, "__fscrypt_prepare_setattr" },
	{ 0xe8ed239a, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x193a1fec, "bpf_trace_run6" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xd16e02c6, "__fscrypt_prepare_lookup" },
	{ 0xe8d305c0, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xad601c7c, "generic_error_remove_folio" },
	{ 0xd11ff86f, "__find_get_block" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0xb3abb347, "__block_write_begin" },
	{ 0xb76d8131, "jbd2_journal_set_triggers" },
	{ 0x2f36428e, "inode_needs_sync" },
	{ 0x7c67c4d5, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xff07046c, "inode_query_iversion" },
	{ 0x452e1060, "fscrypt_ioctl_get_key_status" },
	{ 0x270e71d5, "nop_posix_acl_access" },
	{ 0x95ebd2e8, "jbd2_journal_load" },
	{ 0x7d49c883, "nop_posix_acl_default" },
	{ 0x1f9c5900, "d_make_root" },
	{ 0x643184d8, "page_cache_ra_unbounded" },
	{ 0xb8e8568, "jbd2_journal_check_available_features" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0xa8cdb556, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x9e77d2a4, "__fsverity_file_open" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1f103324, "jbd2_journal_set_features" },
	{ 0xf0065d92, "sb_set_blocksize" },
	{ 0xe25021bd, "read_cache_folio" },
	{ 0xc37247cb, "invalidate_mapping_pages" },
	{ 0x8fa1e41a, "sync_filesystem" },
	{ 0xd900697f, "noop_dirty_folio" },
	{ 0xfccd4c43, "end_buffer_read_sync" },
	{ 0x16895abd, "block_page_mkwrite" },
	{ 0x2146cd74, "folio_redirty_for_writepage" },
	{ 0xd7987177, "utf8_load" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xefbd8928, "fsnotify" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x14b5357f, "d_splice_alias" },
	{ 0x4eb61923, "jbd2__journal_start" },
	{ 0xc30c5306, "jbd2_journal_unlock_updates" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x39ceca24, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4d26fc3, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0xce79aae1, "from_vfsuid" },
	{ 0xf7ac5b8b, "ihold" },
	{ 0xab340db2, "fs_lookup_param" },
	{ 0x243f9f8c, "fsverity_verify_blocks" },
	{ 0x4ac3bd00, "d_find_any_alias" },
	{ 0x77e18fd9, "inode_dio_wait" },
	{ 0xeeb481a6, "jbd2_journal_get_create_access" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x3ddf796c, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf3c45a6, "fscrypt_mergeable_bio" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa998f301, "finish_open" },
	{ 0xd403fbae, "dax_iomap_rw" },
	{ 0x41e54671, "jbd2_journal_init_dev" },
	{ 0xe968cb3e, "iput" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xd111a2bf, "fs_param_is_enum" },
	{ 0x3ec6fed, "fs_param_is_s32" },
	{ 0x7d3386c, "jbd2_journal_clear_features" },
	{ 0xd34e2f6e, "__put_devmap_managed_page_refs" },
	{ 0x74656fbe, "fscrypt_show_test_dummy_encryption" },
	{ 0xda1b08d6, "iter_file_splice_write" },
	{ 0x939f697d, "jbd2_journal_inode_ranged_wait" },
	{ 0xd19cb38f, "filemap_release_folio" },
	{ 0x80fdd13f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0xd4086f2e, "remove_proc_subtree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x934bc8fb, "dax_iomap_fault" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba1e26f7, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x59973839, "register_filesystem" },
	{ 0xd83ef748, "dquot_transfer" },
	{ 0x942ac4f3, "d_tmpfile" },
	{ 0x85d9e0b0, "kmem_cache_create" },
	{ 0x16d4d44a, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7199c3db, "bdev_thaw" },
	{ 0xcdcaef1a, "jbd2_fc_release_bufs" },
	{ 0x59bab34a, "sync_inode_metadata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x599aedb4, "fscrypt_ioctl_get_policy_ex" },
	{ 0xa843f520, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xec94d9f4, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x8ae20f8, "submit_bh" },
	{ 0x29b7f698, "vfs_setpos" },
	{ 0x145c4921, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x871d8a1c, "fscrypt_decrypt_pagecache_blocks" },
	{ 0x1dd5237e, "make_vfsuid" },
	{ 0xe6550092, "utf8_casefold" },
	{ 0x6cc8f13b, "wake_up_process" },
	{ 0x919e35b0, "shrinker_free" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0x5364ff53, "fscrypt_setup_filename" },
	{ 0x2cbe1cb3, "crypto_destroy_tfm" },
	{ 0x9e918eef, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x87398705, "sysfs_notify" },
	{ 0xef674d3f, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe933a94a, "iomap_dio_rw" },
	{ 0x423c4743, "jbd2_fc_get_buf" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0x26873031, "fs_param_is_u32" },
	{ 0x4f754f91, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xd15254a5, "lock_two_nondirectories" },
	{ 0xfd71cc42, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe96f0946, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xd8a55c7a, "mnt_want_write_file" },
	{ 0xf449d77f, "unlock_new_inode" },
	{ 0x814b34b9, "fsverity_ioctl_read_metadata" },
	{ 0x92997ed8, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x7969a90f, "block_invalidate_folio" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0xa239655e, "buffer_migrate_folio_norefs" },
	{ 0x722297cc, "dquot_quota_sync" },
	{ 0xb8a0087, "make_kprojid" },
	{ 0xfe94fc3b, "iomap_seek_hole" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x74616ce3, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe37bf8b6, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x47cdd31d, "fscrypt_set_context" },
	{ 0x951cde, "try_to_free_buffers" },
	{ 0xa5101349, "make_kuid" },
	{ 0x3dccc8a2, "create_empty_buffers" },
	{ 0x2da4a449, "truncate_inode_pages_final" },
	{ 0x62cc1e68, "block_write_end" },
	{ 0x393cc39a, "d_alloc" },
	{ 0x288fa16d, "sync_blockdev" },
	{ 0xc5fb53ad, "fs_kobj" },
	{ 0xf138aed7, "bio_add_folio" },
	{ 0xdb752c82, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x2c9a61cf, "sync_mapping_buffers" },
	{ 0x5488cf7f, "fscrypt_file_open" },
	{ 0x2eaf7058, "generic_perform_write" },
	{ 0xd2534cd1, "dquot_initialize" },
	{ 0x6885d083, "shrinker_register" },
	{ 0x44016812, "__filemap_get_folio" },
	{ 0x4b4a2662, "fscrypt_set_bio_crypt_ctx_bh" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x62b83433, "dquot_quota_on" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0xb63de4a4, "dquot_initialize_needed" },
	{ 0x97f6e883, "kmem_cache_alloc" },
	{ 0xfd1bf3ce, "dquot_reclaim_space_nodirty" },
	{ 0x1ed239a6, "__fsverity_prepare_setattr" },
	{ 0x105b529a, "get_inode_acl" },
	{ 0x9ec7516, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x1fa96fd, "fscrypt_mergeable_bio_bh" },
	{ 0x10e1f756, "invalidate_inode_buffers" },
	{ 0x770b551e, "block_commit_write" },
	{ 0xd004e5c, "blk_finish_plug" },
	{ 0xa961ef70, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeae8134f, "submit_bio" },
	{ 0x8e495dd8, "mnt_drop_write_file" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf6d503a8, "jbd2_journal_force_commit_nested" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9a5d02bf, "inode_init_once" },
	{ 0x32e94fa4, "file_write_and_wait_range" },
	{ 0x2c97132, "jbd2_journal_update_sb_errno" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xb43852c8, "dquot_claim_space_nodirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x456d171f, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6ad4ed5a, "__task_pid_nr_ns" },
	{ 0x720564bb, "dquot_set_dqblk" },
	{ 0x8fda6472, "bio_put" },
	{ 0xc3caa9c8, "jbd2_journal_start_reserved" },
	{ 0xc6504304, "percpu_up_write" },
	{ 0x22aaf3b8, "jbd2_journal_clear_err" },
	{ 0xd032f40e, "__brelse" },
	{ 0xd0e4ba84, "posix_acl_create" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xcbcd8626, "perf_trace_run_bpf_submit" },
	{ 0x5828ff81, "jbd2_journal_init_inode" },
	{ 0x796ae5bf, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x3484bde6, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x59038aab, "jbd2_journal_abort" },
	{ 0x8fb198dc, "generic_file_read_iter" },
	{ 0xc99a23da, "jbd2_journal_blocks_per_page" },
	{ 0x3698fc0f, "inode_maybe_inc_iversion" },
	{ 0xe50d829f, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb16b2212, "thp_get_unmapped_area" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x66e056d7, "set_cached_acl" },
	{ 0x24b0e532, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xb7d1269, "truncate_pagecache" },
	{ 0x708b4046, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf895819d, "init_uts_ns" },
	{ 0xcd2239c4, "insert_inode_locked" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "jbd2,mbcache");


MODULE_INFO(srcversion, "18A172BC7936F299446CEA5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
