#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x2c5f78dc, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x202d726a, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xbc48115b, "_gpl");
SYMBOL_CRC(fat_scan, 0x4d2233c6, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x042c1389, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x83ec2ad5, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x598879a1, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x288b9094, "_gpl");
SYMBOL_CRC(fat_getattr, 0x6c58b4aa, "_gpl");
SYMBOL_CRC(fat_setattr, 0x7c6c0b92, "_gpl");
SYMBOL_CRC(fat_attach, 0x752d1875, "_gpl");
SYMBOL_CRC(fat_detach, 0xf050ee6f, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xd5f11191, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xb7fecace, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xea9c4d30, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xd43780fd, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x16be90c5, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x7cda97eb, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xd10c1a1f, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xab0cfbdc, "_gpl");
SYMBOL_CRC(fat_update_time, 0xb5ba9df6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac3a2db8, "generic_cont_expand_simple" },
	{ 0xa5101349, "make_kuid" },
	{ 0x2da4a449, "truncate_inode_pages_final" },
	{ 0x417455a7, "generic_file_mmap" },
	{ 0x2c9a61cf, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0x167f53c2, "ilookup" },
	{ 0x97f6e883, "kmem_cache_alloc" },
	{ 0x10e1f756, "invalidate_inode_buffers" },
	{ 0xd004e5c, "blk_finish_plug" },
	{ 0xa961ef70, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8e495dd8, "mnt_drop_write_file" },
	{ 0x9a5d02bf, "inode_init_once" },
	{ 0x4a4a0493, "compat_ptr_ioctl" },
	{ 0xc35f553d, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xd032f40e, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x8fb198dc, "generic_file_read_iter" },
	{ 0x3698fc0f, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb7d1269, "truncate_pagecache" },
	{ 0x708b4046, "sync_dirty_buffer" },
	{ 0x6c920f48, "setattr_copy" },
	{ 0x9bce7f1b, "__wait_on_buffer" },
	{ 0xba4260b8, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xb53119cf, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x60780c2a, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x59397e35, "from_vfsgid" },
	{ 0x13a726ea, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd0b76f02, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x50824690, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x866d8ef0, "block_dirty_folio" },
	{ 0x711d292a, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8ecc1a34, "__insert_inode_hash" },
	{ 0x5b60b3ab, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd2a0c17d, "make_kgid" },
	{ 0x14f944, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x51e9c0da, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44d0c4f1, "generic_encode_ino32_fh" },
	{ 0x9b75aa8b, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x29dca8c2, "igrab" },
	{ 0x51df16e5, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d9be4a9, "mpage_readahead" },
	{ 0x80b04023, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xb39f53b9, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xfe93f680, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x5ed91265, "blkdev_issue_flush" },
	{ 0x3015df59, "seq_puts" },
	{ 0x277b0dba, "generic_fh_to_parent" },
	{ 0x47cbb530, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x1cd6598c, "from_kuid_munged" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xacbfe9fd, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf8ef8dec, "kmem_cache_alloc_lru" },
	{ 0x1245ede3, "__mark_inode_dirty" },
	{ 0xbf04549d, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x27ce0ec1, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x8ba651ef, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc3b62f39, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xdc9e47fc, "kmem_cache_destroy" },
	{ 0x2d7f992d, "blkdev_issue_discard" },
	{ 0x43a0e76e, "filemap_fdatawrite" },
	{ 0x4fa472be, "generic_fillattr" },
	{ 0x82802d1d, "setattr_prepare" },
	{ 0x10223bd9, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x79018b17, "sync_blockdev_nowait" },
	{ 0x295f085c, "make_vfsgid" },
	{ 0xa04dd8e5, "blk_start_plug" },
	{ 0xc894aab1, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x871d7583, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xa21e86b1, "new_inode" },
	{ 0xe8d305c0, "mark_buffer_dirty" },
	{ 0x9aaf66ea, "security_inode_setattr" },
	{ 0xd11ff86f, "__find_get_block" },
	{ 0x888e68bb, "filemap_fdatawrite_range" },
	{ 0x2f36428e, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa726709f, "__blockdev_direct_IO" },
	{ 0x1f9c5900, "d_make_root" },
	{ 0xa8cdb556, "__bforget" },
	{ 0xf0065d92, "sb_set_blocksize" },
	{ 0xab2fcbd, "block_truncate_page" },
	{ 0x22c6e59b, "write_dirty_buffer" },
	{ 0x8fa1e41a, "sync_filesystem" },
	{ 0xefbd8928, "fsnotify" },
	{ 0xb8e114e6, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xce79aae1, "from_vfsuid" },
	{ 0x77e18fd9, "inode_dio_wait" },
	{ 0xde2c6805, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x666d633c, "cont_write_begin" },
	{ 0xe968cb3e, "iput" },
	{ 0xda1b08d6, "iter_file_splice_write" },
	{ 0x76f9e2ca, "generic_file_write_iter" },
	{ 0x85d9e0b0, "kmem_cache_create" },
	{ 0x59bab34a, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1dd5237e, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd8a55c7a, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x7969a90f, "block_invalidate_folio" },
	{ 0x2c2a33e1, "__breadahead" },
	{ 0x80882cc8, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x736745a2, "load_nls" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8EBA61A7DCF10E50D22271D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
