#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sst_register_dsp, "_gpl", "");
KSYMTAB_FUNC(sst_unregister_dsp, "_gpl", "");

SYMBOL_CRC(sst_register_dsp, 0xbb2ca4c4, "_gpl");
SYMBOL_CRC(sst_unregister_dsp, 0xca4e0f8e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3213f038, "mutex_unlock" },
	{ 0xac56c008, "snd_soc_dapm_new_controls" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x19001807, "snd_soc_dapm_get_volsw" },
	{ 0x807d0ee3, "snd_pcm_period_elapsed" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x39f05b46, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x8771437d, "snd_soc_dai_active" },
	{ 0x349cba85, "strchr" },
	{ 0x53b954a2, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x7a6b8a85, "try_module_get" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x9c766aba, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xead72c4f, "snd_soc_resume" },
	{ 0xa0cb7bc6, "snd_soc_new_compress" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12434c8a, "snd_soc_suspend" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d26ebd1, "devm_snd_soc_register_component" },
	{ 0x92997ed8, "_printk" },
	{ 0x8531e82b, "snd_soc_dapm_new_widgets" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe762ee81, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4a441164, "snd_soc_info_volsw" },
	{ 0x948a20be, "snd_ctl_boolean_mono_info" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xa1a94293, "snd_soc_dapm_put_volsw" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x147e08a5, "snd_soc_add_component_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeab17f0f, "dapm_kcontrol_get_value" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa69a020e, "snd_pcm_set_managed_buffer_all" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x5316423, "snd_soc_poweroff" },
	{ 0x8bfa7cf6, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xed944842, "__platform_driver_register" },
	{ 0x30f9e070, "snd_pcm_hw_constraint_integer" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,snd");


MODULE_INFO(srcversion, "C07EBFA47DF9BD2376B6BC5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
