#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_link_set_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_fe_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_be_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_free_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_prepared, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xd7d46977, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x90538eaf, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x567f2c79, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x95f95a74, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0xe8ea26e8, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xc853c7f6, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0xb719d666, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x5444d030, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x12434c8a, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0xead72c4f, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x2b4631df, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x27c04020, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xdf26ad69, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0xd42240ad, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xf22df436, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x9991c8d1, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xe82bf05e, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x05316423, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x425fe57f, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0xbb857cdf, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x147e08a5, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0xa5ccff45, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x23e19051, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x0cc08222, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x8192ecad, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x7c698d1f, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x51eee72f, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x07b12c7a, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x3af79816, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0xcaa18cc8, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0xf4060959, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x1aeba131, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x7447ed77, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0xb3498593, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0xc5d6a6f5, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0xe110a1d4, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x1fbe3b7c, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0xb095c803, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x8a0b62de, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x2bc8f8b6, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x1b760926, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0xe100c321, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0xbd55031c, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xe40d31a7, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x22587873, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x1eceef9f, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x8180a9c0, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x1a8c23d3, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xd2fb0c10, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x00337819, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xe6cdbf15, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0xd5593a1c, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0xdf68943f, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x8642c2fc, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xea174916, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xeab17f0f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x5bb2b7f1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x7cb5850c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x300013d4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xecf9ee40, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0xb2131f65, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0xcff1de73, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x9cc16ba7, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x036f394a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0xdca69170, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0x15b49e8f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x1f9d358e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0xe35c698e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xd69b7ebf, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0xc3c4f0ec, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x1aabd284, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x8bfa7cf6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0xbf8037e2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0xea10e698, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x8531e82b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x19001807, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xa1a94293, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x0042ff85, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x0f38859d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x76f39dd3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x275c582a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x5ddf7463, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x2aba33dc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xac56c008, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x0447471a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x3af19e65, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x5afd8afc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x23b24242, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x7be0cf3c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x7715f36b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xee95534e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xdb32aa63, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0xf87f48b9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x77f2d993, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0xdb011d3d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0xc0996cbf, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x8d289d8f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xd1f8cecf, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xcc2ac46b, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x2cef169b, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x5416b8a4, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x3346630c, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xc284bb57, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0xe0626bd8, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x79237f64, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x2ac5e46b, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x78adad6b, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xc8269f94, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0xeb711ae7, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x4fa1782d, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x02fb8714, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x44fb1a0b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0xd2951f21, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x143358e8, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x8cd5ab2c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xfe58adf7, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x1efa32f4, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x4cebf387, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0xf4e3803b, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0xaac81e22, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x37ad0838, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x3f0c7dbc, "_gpl");
SYMBOL_CRC(snd_soc_dai_link_set_capabilities, 0x518f6e4d, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0xed364bdd, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x8771437d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0xfebf09cc, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x934ca46d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x1b91d74c, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0xe7d66aa9, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0xff140f78, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0x9f0c4633, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x6989dfd1, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x4db97a88, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x1eba65cd, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0xb00a54b6, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0xdef9b014, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xc5092ace, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x281048e2, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x94196c80, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x71be1c81, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0xbd43bbf7, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x4ea22f9f, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0xb75fb196, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0xaebb8748, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xd9ce626a, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x04b0b476, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xee3d21c5, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x40f5ddf1, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x9cb43eab, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x915c0046, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0xc4b959d7, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xa33eac01, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x5b87f721, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x4e4fd347, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0xd2f5e49e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x00f4c698, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x3a2d5946, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x9b8c3201, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0xfc7fd326, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x1fa55ebd, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0xbe6b1b22, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x5172a0a1, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0xea84fb92, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xbe2d64e0, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x131da200, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0xc4d9c44f, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xeeac01cb, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xd367ca3d, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x9df01a6c, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x879713a9, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x05430f38, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0xb80e59b0, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x8d1c68ec, "_gpl");
SYMBOL_CRC(widget_in_list, 0x40c9076b, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0xf592c9e0, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x2bb03a90, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x024b947e, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_fe_can_update, 0x892cebfd, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_be_can_update, 0x4f1ad656, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x20c28861, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_free_stop, 0xfb14db3b, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_params, 0xf125b3d4, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_prepared, 0x6f88fdf6, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0x84401f58, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x9d26ebd1, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x661ee7ed, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0xd3e6171c, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0xd49ae857, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xd3f6028f, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x925f490f, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x4a441164, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xee6c9dd1, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0xda57b94c, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0xdf0443ff, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x33c67c82, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0xe8ef35b7, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x07999d4b, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x868d1635, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0xc7245db5, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0xba462789, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x4d926683, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0xbf07ddee, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x66aed7b1, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0xd325bcc6, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0xdad8b23f, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0xc7c19a4f, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x7666c587, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x73353f34, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0xa7e76fb8, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0xf58ade74, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0xe9244c69, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0xc34a635d, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x76d09964, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol_locked, 0x5ac364d6, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xe309de00, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x1d075323, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x260ef7b3, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x54ec9782, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x943cd92d, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0xe55157f1, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0xfd5dec11, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x9ec070e2, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0xf1727ee4, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0xac040da3, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0x1e7999d0, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xa0cb7bc6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x7f238c34, "devm_kstrdup" },
	{ 0x105178c7, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdf674b88, "debugfs_lookup_and_remove" },
	{ 0xb914e114, "put_device" },
	{ 0xa81cbef4, "gpiod_unexport" },
	{ 0x7a3d7c24, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb72ec222, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf2bbc96, "snd_dmaengine_pcm_close" },
	{ 0x7449fe5c, "dma_get_slave_caps" },
	{ 0xe6fd74d6, "_dev_info" },
	{ 0xe762ee81, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x35ed1087, "snd_card_new" },
	{ 0x7e54d8f2, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5a96f1b2, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x414e357a, "snd_dmaengine_pcm_request_channel" },
	{ 0xcbcd8626, "perf_trace_run_bpf_submit" },
	{ 0x7f7e9f87, "devm_kfree" },
	{ 0xa0ed6e99, "_dev_err" },
	{ 0xc142d9e9, "pinctrl_pm_select_sleep_state" },
	{ 0x3b89e8ae, "simple_open" },
	{ 0x952b3293, "snd_pcm_lib_ioctl" },
	{ 0xc0e16527, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0xb2ca3a7, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe7bbe380, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x65088939, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb947f56d, "dev_get_regmap" },
	{ 0x8107c125, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xfee89082, "__devres_alloc_node" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb4b38a67, "snd_ctl_notify" },
	{ 0x1eb12dbd, "regulator_allow_bypass" },
	{ 0x3dcddd77, "snd_pcm_set_ops" },
	{ 0xa40c4be4, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfbdb18a8, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5243778d, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x843d4d68, "device_register" },
	{ 0x1757a547, "bpf_trace_run1" },
	{ 0x31819ac0, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd605fd61, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x180dfe03, "debugfs_create_u32" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x292c60a9, "snd_dmaengine_pcm_open" },
	{ 0x6e186cf9, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5bcbb0ce, "snd_pcm_suspend_all" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xfa274be3, "snd_dmaengine_pcm_pointer" },
	{ 0xed944842, "__platform_driver_register" },
	{ 0xb19b4d6c, "dma_request_chan" },
	{ 0x88a6eb88, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x13522d1d, "pinctrl_lookup_state" },
	{ 0xff9d1289, "bpf_trace_run3" },
	{ 0xbced23a1, "seq_read" },
	{ 0x9b618d05, "snd_compress_new" },
	{ 0x1001c60a, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x3a4089d7, "snd_hwparams_to_dma_slave_config" },
	{ 0x4a93ecb2, "platform_device_register_full" },
	{ 0x94005f0e, "regmap_read" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0xe0073454, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x403f9529, "gpio_request_one" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6585a74d, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbbcf214a, "gpio_to_desc" },
	{ 0xee6d7349, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xd7436d13, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8d138b46, "pinctrl_select_state" },
	{ 0xf0f23de8, "snd_power_wait" },
	{ 0xede59e93, "snd_pcm_hw_constraint_msbits" },
	{ 0xc339adb7, "single_release" },
	{ 0x53c2965b, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4e8b828f, "dev_err_probe" },
	{ 0x311df686, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0xb7bea73a, "device_add_groups" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xf2d33ba2, "__pm_runtime_suspend" },
	{ 0x82b4122d, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x6bfa3637, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6f2851b9, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x164071a7, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x5b3a5ea4, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xf76673d3, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x2246a8b1, "gpiod_get_value_cansleep" },
	{ 0x2571b3df, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7a6b8a85, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x79c94c8d, "_copy_to_iter" },
	{ 0xbba27f48, "gpiod_put" },
	{ 0xd5da5759, "regmap_write" },
	{ 0x2bca264e, "param_ops_uint" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb6cffb70, "dev_set_name" },
	{ 0x79d7d6e0, "regmap_get_val_bytes" },
	{ 0x9c766aba, "platform_driver_unregister" },
	{ 0xb075c20d, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdccbde72, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x864d39f1, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0x28054e0b, "regmap_raw_read" },
	{ 0x7e678960, "snd_card_register" },
	{ 0x5ad3a98f, "device_unregister" },
	{ 0xb516ffb5, "snd_card_free" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0xc452fc06, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc81a5c6c, "gpiod_get_index" },
	{ 0x1daf696d, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x8cd9621d, "snd_pcm_hw_constraint_minmax" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x907e3f6c, "gpiod_to_irq" },
	{ 0xf5b1f47e, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c9702c3, "dma_release_channel" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xf464d179, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x39b1f1ff, "regcache_mark_dirty" },
	{ 0xfe990052, "gpio_free" },
	{ 0x80fdd13f, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x3437a6d9, "regulator_disable_deferred" },
	{ 0x8d2f11d7, "__dynamic_dev_dbg" },
	{ 0x6b59ec32, "snd_ctl_remove" },
	{ 0x56ca6656, "snd_ctl_free_one" },
	{ 0x6a7b6af7, "devm_clk_get" },
	{ 0x8a4c0490, "devres_add" },
	{ 0x9adb738, "snd_pcm_new_internal" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x35a1b01d, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x682fe432, "snd_dmaengine_pcm_get_chan" },
	{ 0x659b23b8, "pinctrl_pm_select_default_state" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x33ce4efb, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xda9986d1, "snd_pcm_stream_unlock_irq" },
	{ 0x6986be68, "pm_wakeup_dev_event" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "BB21EF7012C2E610EFF3183");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
